Mon Oct 12 14:03:48 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

	* TAO version 1.7.4 released.

Mon Oct 12 06:57:13 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3632_Regression/test.cpp:
          Fixed this test after the changes for bug#3746.

Fri Oct  9 11:50:49 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_global.h:

          Fixed generation of export macro header files to track
          with -o <output dir> option similarly to the other
          generated files. Thanks to Abdullah Sowayan
          <sowayan at gmail dot com> for reporting the problem.

Fri Oct  9 08:25:07 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/GIOP_Message_Generator_Parser_12.cpp:

          Updated the comment in write_request_header() for bug#3747.

Thu Oct  8 19:07:56 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_home.cpp:
        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_eventtype_fwd.cpp:
        * TAO_IDL/be/be_component_fwd.cpp:
        * TAO_IDL/be/be_eventtype.cpp:

          Made accept() operations no-ops when -Sm (ignore IDL3
          constructs) is present. This behavior eliminates the
          need for an error message about improper use of -Sm,
          so this error message was disabled.

Thu Oct  8 14:30:33 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_extended_port/extended_port_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:

          Fixed unused arg warnings.

Thu Oct  8 14:02:45 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/orbsvcs/Trader/Trader_Utils.cpp:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp:

          Fixed an undefined behaviour in the Trading Service and in the
          test when they try to access sequence elements without properly
          set length.

        * orbsvcs/tests/Trading/import_test.cpp:
        * orbsvcs/tests/Trading/export_test.cpp:

          Improved test's output.

Thu Oct  8 07:40:09 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * NEWS:

          Updated news file with the user visible changes made for
          bug#3746.

Wed Oct  7 15:20:16 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Param_Test/ub_any_seq.cpp:

          Fixed an undefined behaviour in the test when it tries
          to access sequence elements without prior calling length().

Wed Oct  7 15:10:55 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
	  Don't use explicit

Wed Oct  7 14:23:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:
        * TAO_IDL/be_include/be_visitor_field.h:
        * TAO_IDL/be_include/be_visitor_field/cdr_op_cs.h:
        * TAO_IDL/be_include/be_visitor_field/serializer_op_cs.h:

          Reverted changes to visitor inheritance made in

          Tue Oct  6 22:04:55 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

Wed Oct  7 13:44:55 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
          Made single argument constructor explicit and small layout changes
          to generated sequences

Wed Oct  7 06:46:55 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/Makefile.am:
          Added new files

Wed Oct  7 06:49:02 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_extended_port.cpp:
        * TAO_IDL/be/be_visitor_extended_port/extended_port_svh.cpp:
          Resolved fuzz errors.

Tue Oct  6 22:04:55 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_extended_port/extended_port.cpp:
        * TAO_IDL/be/be_visitor_extended_port/extended_port_svh.cpp:
        * TAO_IDL/be/be_visitor_extended_port.cpp:
        * TAO_IDL/be_include/be_visitor_extended_port.h:
        * TAO_IDL/be_include/be_visitor_extended_port/extended_port.h:
        * TAO_IDL/be_include/be_visitor_extended_port/extended_port_svh.h:

          New files, partially implemented visitors for extended port
          code generation.

        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_provides.h:
        * TAO_IDL/be_include/be_visitor_field.h:
        * TAO_IDL/be_include/be_visitor_operation.h:
        * TAO_IDL/be_include/be_visitor_component.h:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be_include/be_visitor_component/component_svh.h:

          Refactored existing visitor code to get more
          re-use, and added calls to new (as yet uniimplemented)
          visitors above.

        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:
        * TAO_IDL/be_include/be_visitor_field/cdr_op_cs.h:
        * TAO_IDL/be_include/be_visitor_field/serializer_op_cs.h:

          Replaced be_visitor_scope base class with simpler
          be_visistor_decl.

Tue Oct  6 11:00:56 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3746_Regression/Bug_3746_Regression.mpc:

          Added MPC files for the test.

        * tao/Range_Checking_T.h:

          Added define for TAO_CHECKED_SEQUENCE_INDEXING in debug
          builds.

Tue Oct  6 09:43:40 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Bounded_Sequence_CDR_T.h:
        * tao/Bounded_Array_Sequence_T.h:
        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Range_Checking_T.h:
        * tao/Valuetype/Bounded_Valuetype_Sequence_T.h:
        * tao/Bounded_Value_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:

          Fixed a bug#3746. Now if TAO_CHECKED_SEQUENCE_INDEXING
          is defined sequence code will throw BAD_PARAM in case
          there is an attempt to access elements above maximum.
          Also there will be BAD_PARAM exception in case new sequence's
          length is greater than bound and marshaling of bounded
          sequences will fail if sequence length is above maximum.

        * tests/Bug_3746_Regression/client.cpp:
        * tests/Bug_3746_Regression/Test.idl:
        * tests/Bug_3746_Regression/server.cpp:
        * tests/Bug_3746_Regression/Test_i.cpp:
        * tests/Bug_3746_Regression/Test_i.h:
        * tests/Bug_3746_Regression/run_test.pl:
        * bin/tao_orb_tests.lst:

          Added a test for bug#3746.

        * tests/Sequence_Unit_Tests/Bounded_String.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_String.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_Octet.cpp:
        * tests/Sequence_Unit_Tests/Bounded_Simple_Types.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_Simple_Types.cpp:

          Fixed sequence unit tests for proper testing of code
          added with the fix for bug#3746.

        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:

          Rearranged the code. This fixes stack overflow exception in
          standard/inline builds on win32. The problem was related to
          incorrect code generation with /O2 optimization level. The
          above exception was easy to reproduce when stepping through
          assembler code. The exception was thrown by the code preceding
          the first line of a test_duplicate_exception_in_assignment()
          function.

Mon Oct  5 14:29:52 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
          Resolved some script errors.

Mon Oct  5 12:58:11 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl:
          Resolved minor script error.

Fri Oct  2 14:52:17 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_2735_Regression/run_test.pl:
          Resolved some fuzz warnings.

Fri Oct  2 14:46:41 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/CSD_Strategy_Tests/TP_Test_2/run_test.pl:
        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:
          Resolved some fuzz errors.

Fri Oct  2 14:07:11 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/CSD_Strategy_Tests/TP_Test_2/run_test.pl:
        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:
          Resolved some fuzz errors.

Fri Oct  2 14:01:21 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * tests/CSD_Strategy_Tests/TP_Test_3/run_test.pl:
          Converted to the new test framework

Fri Oct  2 13:25:28 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * tests/CSD_Strategy_Tests/TP_Test_2/run_test.pl:
          Converted to the new test framework

Fri Oct  2 11:33:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * tests/CodeSets/simple/run_test.pl:
        * tests/Hang_Shutdown/run_test.pl:
          Converted to the new test framework

Fri Oct  2 11:05:10 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * tests/TransportCurrent/Framework/run_test.pl:
        * tests/TransportCurrent/IIOP/run_test.pl:
          Converted to the new test framework

Fri Oct  2 09:12:20 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled Bug_3154_Regression for ce/labview/fuzz

        * tests/HandleExhaustion/run_test.pl:
        * tests/OBV/Collocated/Forward/run_test.pl:
        * tests/OBV/TC_Alignment/run_test.pl:
          Converted to the new test framework

Fri Oct  2 08:35:27 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_2735_Regression/run_test.pl:
        * tests/Bug_3154_Regression/run_test.pl:
          Resolved some fuzz errors/warnings.

Fri Oct  2 07:11:45 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/StringSeqE.idl:
        * tao/StringSeqEC.h:
          Removed, not needed anymore with the new -Glem behaviour

Thu Oct  1 19:24:45 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled Bug_3154_Regression for ce/labview/fuzz

        * tests/Bug_3154_Regression/run_test.pl:
          Converted to the new test framework

Thu Oct  1 19:00:33 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3276_Regression/run_test.pl:
          Resolved a fuzz warning and a few script errors

Thu Oct  1 18:47:46 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_2935_Regression/run_test.pl:
          Resolved some fuzz errors.

Thu Oct  1 17:59:12 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:

          Eliminated duplicate output streams.

Thu Oct  1 14:36:42 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enabled a some tests for ce/labview/fuzz.

        * tests/Bug_2869_Regression/run_test.pl:
        * tests/Bug_2935_Regression/run_test.pl:
        * tests/Bug_2953_Regression/run_test.pl:
          Converted to the new test framework

Thu Oct  1 13:08:24 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Big_Reply/run_test.pl:
        * tests/Big_Reply/server.cpp:
          Fixed test errors.

        * tests/CSD_Strategy_Tests/TP_Test_1/run_test.pl:
          Fixed some minor bugs in this script.

Thu Oct  1 12:43:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_2593_Regression/run_test.pl:
        * tests/Bug_2734_Regression/run_test.pl:
        * tests/Bug_2735_Regression/run_test.pl:
          Resolved some fuzz errors.

Thu Oct  1 08:21:32 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2494_Regression/run_test.pl
        * tests/Bug_2593_Regression/run_test.pl
        * tests/Bug_2734_Regression/run_test.pl
        * tests/Bug_2735_Regression/run_test.pl
        * tests/Bug_2804_Regression/run_test.pl
        * tests/Bug_2844_Regression/run_test.pl
        * tests/Bug_3276_Regression/run_test.pl
          Converted to the new test framework

Wed Sep 30 18:29:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:

          Revised logic of local executor mapping IDL generation.
          -Glem: generates mapping for all interfaces in main IDL file
          -Glfa: overrides -Glem and generates mapping for all
                 interfaces (regardless of IDL file location) used
                 in facets (in main IDL file).

Wed Sep 30 16:52:41 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:

          Commented out unused local variables, used only in a
          block which is also (for now) commented out.

        * TAO_IDL/contrib/mcpp/system.cpp:

          Fixed some signed/unsigned mismatches.

Tue Sep 29 13:36:31 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/drv_extern.h:
        * TAO_IDL/fe/fe_init.cpp:
        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/util/utl_global.cpp:

          Fixed bug#3743. According to this change tao_idl distinguishes
          include paths provided by user and the systems ones, i.e. TAO or
          CIAO include paths.

        * tests/Bug_3743_Regression/Test.idl:
        * tests/Bug_3743_Regression/run_test.pl:
        * tests/Bug_3743_Regression/README:
        * bin/tao_orb_tests.lst:

          Added a test for bug#3743 and scheduled it for run.

Tue Sep 29 12:24:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
          Fixed a problem with the code generation for the servant

Mon Sep 28 18:10:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/Makefile.am:
          Updated for all changes of earlier today

Mon Sep 28 11:31:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/include/fe_template_header_common.h:
          Made destructor virtual

Mon Sep 28 11:18:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Unicode fixes

Mon Sep 28 05:57:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        Integrated idl3plus branch of Jeff with IDL3+ changes

        Thu Sep 24 17:32:27 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be_include/be_visitor_operation/operation_exs.h:

          Fixed bug related to unused args in generated empty executor
          implementation methods, and removed 2 unused operations
          from the visitor.

        Wed Sep 23 21:48:41 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_iface_inst.cpp:

          Removed unused args.

        * TAO_IDL/be/be_global.cpp:

          Replaced '=' with '==' in -Glfa option switch case.

        Wed Sep 23 19:44:56 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_visitor_iface_inst.h:
        * TAO_IDL/be/be_visitor_iface_inst.cpp:

          New files, overlooked in previous checkin.

        Mon Sep 21 19:38:46 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_provides.cpp:
        * TAO_IDL/ast/ast_uses.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/be_include/be_visitor_ccm_pre_proc.h:
        * TAO_IDL/include/ast_provides.h:
        * TAO_IDL/include/ast_uses.h:
        * TAO_IDL/util/utl_global.cpp:

          Fixes to various bugs uncovered while running CIAO/tests.

        Fri Sep  4 17:12:34 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:

          - New option '-Glfa', explained below

          - New behavior for generating executor IDL for facets.
            Default behavior is now to generate the local interface
            only if the facet interface is in the main file. With
            the option above, the local interface is generated
            for all facets.

        Thu Sep  3 18:01:14 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:

          Fixed bug in component attribute visitation that left the
          visitor state incorrect for further processing of the
          component's scope.

        Thu Sep  3 16:28:17 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:

          Updated visitor to use component port nodes instead of the
          old port lists.

        Wed Sep  2 19:24:20 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_obv_header.cpp:

          Fixed double deletion of valuetype supports list.

        Wed Sep  2 19:13:18 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Changes to non-terminal 'member' to fix bug uncovered in CIAO
          IDL3_to_IDL2 test.

        Fri Aug 28 20:30:52 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_field.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_template_common.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_argument.h:
        * TAO_IDL/include/ast_field.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_template_common.h:

          Added semantic action for an operation parameter type
          that is a reference to one of its containing template
          interface's template parameters.

        Fri Aug 28 16:03:30 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_decl.h:

          Reverted changes to these files in the entry below.

        Thu Aug 27 16:23:53 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/fe_utils.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:

          Added support for a typedef inside a template interface where the
          identifier has a template parameter prefixed to it.

        Wed Aug 26 18:25:27 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_visitor.h:
        * orbsvcs/IFR_Service/ifr_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:

          Updated visitors to include the new visit methods,
          and commented out the existing methods that use
          port descriptions, which have been eliminated.

        Wed Aug 26 17:33:01 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_instantiated_interface.h:
        * TAO_IDL/be/be_instantiated_interface.cpp:
        * TAO_IDL/ast/ast_instantiated_interface.cpp:
        * TAO_IDL/be_include/be_instantiated_interface.h:

          Removed these files, their function will be
          handled in the backend.

        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/be_include/be_generator.h:

          Removed references to removed nodes from visitors
          and factories.

        Fri Aug 21 16:47:57 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_instantiated_connector.cpp:
        * TAO_IDL/be_include/be_instantiated_connector.h:

          Added be_type to the inheritance so typedef narrowing
          works properly.

        Fri Aug 21 16:29:35 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:

          Added file include for instantiated connector, regenerated and
          recompiled.

        Fri Aug 21 16:16:32 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Regenerated and recompiled.

        Fri Aug 21 16:07:29 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:

          Added code to set the member of the big parsing union with
          the pointer to an instantiated connector, once it's created.

        Fri Aug 21 13:51:19 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_instantiated_connector.cpp:
        * TAO_IDL/ast/ast_instantiated_interface.cpp:

          Commented out unused variables in partially implemented
          dump() methods.

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Regenerated and recompiled.

        Fri Aug 21 13:27:50 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_instantiated_interface.cpp:
        * TAO_IDL/include/ast_instantiated_connector.h:
        * TAO_IDL/be/be_instantiated_connector.cpp:
        * TAO_IDL/be_include/be_instantiated_connector.h:

          New files, defining a node type for the template
          instantiation of a connector type, which is part
          of a typedef construct.

        * TAO_IDL/ast/ast_connector.cpp:
        * TAO_IDL/ast/ast_extended_port.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_instantiated_connector.cpp:
        * TAO_IDL/ast/ast_mirror_port.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/ast/ast_template_common.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be/be_connector.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_instantiated_interface.cpp:
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_instantiated_interface.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/include/ast_connector.h:
        * TAO_IDL/include/ast_extended_port.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_instantiated_interface.h:
        * TAO_IDL/include/ast_mirror_port.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_template_common.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_scope.cpp:

          Changes associated with the new node types above and
          with the semantic action that creates an instantiated
          connector.

        Thu Aug 20 17:27:16 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:

          Added missing semicolon, regenerated and recompiled.

        Thu Aug 20 17:09:01 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_connector.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/include/ast_connector.h:
        * TAO_IDL/include/fe_utils.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_scope.cpp:

          Added methods to add AST_Tmpl_Port and AST_Tmpl_Mirror_Port
          nodes to a connector's scope. Also added semantic actions
          to create these nodes, check their validity, and call the
          scope adding methods.

        Wed Aug 19 20:54:41 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_tmpl_mirror_port.cpp:
        * TAO_IDL/ast/ast_tmpl_port.cpp:
        * TAO_IDL/include/ast_tmpl_port.h:
        * TAO_IDL/include/ast_tmpl_mirror_port.h:
        * TAO_IDL/be/be_tmpl_mirror_port.cpp:
        * TAO_IDL/be/be_tmpl_port.cpp:
        * TAO_IDL/be_include/be_tmpl_port.h:
        * TAO_IDL/be_include/be_tmpl_mirror_port.h:

          New files, containing node types that describe
          a parameterized port or mirrorport found in the
          body of a parameterized connector.

        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_connector.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/util/utl_err.cpp:

          Intergration of the new node types above into
          the IDL compiler.

        Wed Aug 19 16:38:17 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:

          Fixed some comments.

        Tue Jul 28 18:46:17 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_module.h:

          Cosmetic changes.

        * TAO_IDL/narrow/narrow.cpp:

          Added missing cases for AST_Connector.

        Tue Jul 28 18:22:19 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:

          Added semantic actions and inheritance checking for creation
          of connector.

        Tue Jul 28 16:46:35 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_connector.h:
        * TAO_IDL/be/be_connector.cpp:

          New files, defining the backend version of connectors.

        * TAO_IDL/ast/ast_connector.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_scope.cpp:

          Changes related to the new backend type.

        Tue Jul 28 15:29:46 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Fixed parsing mistake that did not allow non-template
          extended ports in a connector.

        Tue Jul 28 14:34:46 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_err.cpp:

          Production rules for connectors, and corresponding new
          parse state and associated error message.

        Mon Jul 27 19:20:07 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Fixed typos in idl.yy and regenerated.

        Mon Jul 27 18:57:11 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_connector.h:
        * TAO_IDL/ast/ast_connector.cp:

          New files, defining a connector node class.

        * TAO_IDL/ast/ast_extended_port.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_mirror_port.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be/be_extended_port.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_mirror_port.cpp:
        * TAO_IDL/be_include/be_extended_port.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_mirror_port.h:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_extended_port.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_mirror_port.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:

          Changed extended port and mirror port classes to take
          an actual list of AST nodes, instead of a list of names.
          Lookup and error checking on the list of names is now
          done in the parser.

        Mon Jul 27 14:46:05 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_extended_port.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_extended_port.h:
        * TAO_IDL/include/fe_utils.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          - Added production rules and semantic actions for extended
            ports and mirror ports, as they appear in a component
            (the connector versions, since connectors may be
            parameterized, will be slightly different).

          - Removed spaces in blank lines in several files.

        Fri Jul 24 19:08:55 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_mirror_port.cpp:
        * TAO_IDL/include/ast_mirror_port.h:
        * TAO_IDL/be/be_mirror_port.cpp:
        * TAO_IDL/be_include/be_mirror_port.h:

          New files, defining a mirror port, which
          is found in a component, and is an instantiation
          of a porttype declaration, similar to an
          extended port, but with all the 'uses' and
          'provides' keywords interchanged.

        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_visitor.h:

          Other changes corresponding to the new mirror
          port classes.

        Fri Jul 24 17:49:30 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_extended_port.cpp:
        * TAO_IDL/include/ast_extended_port.h:
        * TAO_IDL/be/be_extended_port.cpp:
        * TAO_IDL/be_include/be_extended_port.h:

          New files, defining an extended port, which
          is found in a component, and is an instantiation
          of a porttype declaration.

        * TAO_IDL/ast/ast_consumes.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be_include/be_porttype.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_visitor.h:

          Other changes corresponding to the new extended
          port classes.

        Fri Jul 24 15:38:24 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_err.cpp:

          Added production rules and parse state for extended port.

        Fri Jul 24 13:56:43 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/ast/ast_template_common.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_porttype.h:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/fe/fe_template_header_common.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_template_common.h:
        * TAO_IDL/include/ast_template_interface.h:

          Changed template param list member to be a pointer
          so it can just be passed in from the parser, and then
          can be 0 if there are no template parameters (for
          porttype and port declarations, they are optional).

        Thu Jul 23 18:33:54 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_template_interface.h:

          Removed protected member duplicated in base class.

        Thu Jul 23 18:12:16 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_provides.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:

          Added semantic actions for extended port creation.

        Thu Jul 23 13:14:51 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_instantiated_interface_header.cpp:
        * TAO_IDL/include/fe_instantiated_interface_header.h:

          New files, defining a class to collect info in the parser
          about interfaces instantiated in an extended port declatation
          from a previously defined template interface.

        * TAO_IDL/include/fe_template_interface_header.h:

          Fixed typo in comment.

        Tue Jul 21 19:47:09 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_instantiated_interface.cpp:
        * TAO_IDL/include/ast_instantiated_interface.h:
        * TAO_IDL/be/be_instantiated_interface.cpp:
        * TAO_IDL/be_include/be_instantiated_interface.h:

          New files, defining frontend and backend versions of
          an interface that is instantiated in an extended
          provides or uses declaration from a previously defined
          template interface.

        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/include/utl_namelist.h:

          Changes corresponding to the new AST node type above.

        Tue Jul 21 17:51:34 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Refactored semantic action code creating simple ports,
          and fixed an incorrect comment.

        Tue Jul 21 16:57:33 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_consumes.cpp:
        * TAO_IDL/be/be_emits.cpp:
        * TAO_IDL/be/be_field.cpp:
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_publishes.cpp:
        * TAO_IDL/be/be_uses.cpp:
        * TAO_IDL/be_include/be_porttype.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/narrow/narrow.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          - Added missing narrowing code for porttypes.
          - Removed unused out port list stuff in AST_Component.
          - Updated port destroy() methods to include be_field.
          - Cosmetic changes.

        Tue Jul 21 16:09:50 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_provides.cpp:
        * TAO_IDL/ast/ast_uses.cpp:
        * TAO_IDL/be/be_consumes.cpp:
        * TAO_IDL/be/be_emits.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_publishes.cpp:
        * TAO_IDL/be/be_uses.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be_include/be_consumes.h:
        * TAO_IDL/be_include/be_emits.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_provides.h:
        * TAO_IDL/be_include/be_publishes.h:
        * TAO_IDL/be_include/be_uses.h:
        * TAO_IDL/be_include/be_visitor_ccm_pre_proc.h:
        * TAO_IDL/be_include/be_visitor_component/component_svh.h:
        * TAO_IDL/be_include/be_visitor_component/component_svs.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_provides.h:
        * TAO_IDL/include/ast_uses.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:

          More changes resulting from the new port AST nodes,
          including changes to code generation.

        Mon Jul 20 14:33:57 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Changed semantic actions for component ports to use the new
          AST_* port nodes.

        Mon Jul 20 13:49:19 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/util/utl_scope.cpp:
        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_consumes.h:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/utl_scope.h:

          Added fe_add_*() methods for ports to AST_Component and
          AST_PortType, and to the common base class UTL_Scope.

        Fri Jul 17 19:49:03 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_uses.cpp:
        * TAO_IDL/be/be_consumes.cpp:
        * TAO_IDL/be/be_emits.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_publishes.cpp:
        * TAO_IDL/be/be_uses.cpp:
        * TAO_IDL/be_include/be_consumes.h:
        * TAO_IDL/be_include/be_emits.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_provides.h:
        * TAO_IDL/be_include/be_publishes.h:
        * TAO_IDL/be_include/be_uses.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_uses.h:

          - Changed BE provides, uses, publishes, emits and
            consumes node constructor signatures.

          - Added FE and BE factory functions for new port nodes.

        Fri Jul 17 19:03:02 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_provides.h:
        * TAO_IDL/include/ast_uses.h:
        * TAO_IDL/include/ast_consumes.h:
        * TAO_IDL/include/ast_publishes.h:
        * TAO_IDL/include/ast_emits.h:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_consumes.cpp:
        * TAO_IDL/be/be_uses.cpp:
        * TAO_IDL/be/be_emits.cpp:
        * TAO_IDL/be/be_publishes.cpp:
        * TAO_IDL/ast/ast_provides.cpp:
        * TAO_IDL/ast/ast_consumes.cpp:
        * TAO_IDL/ast/ast_publishes.cpp:
        * TAO_IDL/ast/ast_emits.cpp:
        * TAO_IDL/ast/ast_uses.cpp:
        * TAO_IDL/be_include/be_publishes.h:
        * TAO_IDL/be_include/be_uses.h:
        * TAO_IDL/be_include/be_emits.h:
        * TAO_IDL/be_include/be_provides.h:
        * TAO_IDL/be_include/be_consumes.h:

          New files, making component and porttype
          port declarations full-fledged nodes in
          the AST. Formerly they were stored as
          a list of info structs.

        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/ast_field.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/ast/ast_attribute.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_field.cpp:
        * TAO_IDL/be_include/be_visitor.h:

          Changes corresponding to the new nodes
          above, and cosmetic changes.

        * orbsvcs/IFR_Service/ifr_visitor.h:
        * orbsvcs/IFR_Service/ifr_visitor.cpp:

          Added new visit_* methods corresponding to the new
          nodes.

        Fri Jul 17 15:07:49 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Cleanup of semantic action code for facets.

        * TAO_IDL/include/ast_component.h:

          Removed whitespace spaces.

        Fri Jul 17 13:37:43 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Fixed a double deletion bug in AST memory management.

        * TAO_IDL/fe/fe_porttype_header.cpp:
        * TAO_IDL/include/fe_porttype_header.h:

          Removed these files.

        Thu Jul 16 22:03:56 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_root.h:
        * TAO_IDL/include/fe_porttype_header.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_scope.cpp:

          Added semantic actions for creating a porttype node in
          the AST.

        Wed Jul 15 21:41:00 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_porttype.cpp
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be_include/be_porttype.h:
        * TAO_IDL/fe/fe_porttype_header.cpp:
        * TAO_IDL/fe/fe_template_header_common.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/fe_porttype_header.h:
        * TAO_IDL/include/fe_template_header_common.h:
        * TAO_IDL/include/fe_template_interface_header.h:
        * TAO_IDL/include/fe_utils.h:

          Modified and refactored the IDL3+ info datatypes
          and FE header classes.

        Wed Jul 15 14:09:13 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Changed rules for extended provides and uses declarations to
          parse overlooked template brackets.

        Wed Jul 15 13:23:25 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Added overlooked semicolon rule after porttype declaration.

        Wed Jul 15 01:06:51 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/fe/fe_template_header_common.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/ast_template_common.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:

          Fixed g++ build & runtime errors.

        Wed Jul 15 00:08:05 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/fe_template_header_common.h:
        * TAO_IDL/fe/fe_template_header_common.cpp:
        * TAO_IDL/include/ast_template_common.h:
        * TAO_IDL/ast/ast_template_common.cpp:
        * TAO_IDL/include/fe_porttype_header.h:
        * TAO_IDL/fe/fe_porttype_header.cpp:

          New files, defining:
          - a porttype header class, to gather information about a porttype
            declaration from the parser
          - a template header base class, containing members and methods
            common to classes FE_PorttypeHeader and FE_Template_InterfaceHeader
          - a template ast base class containing members and methods common
            to classes AST_PortType and AST_Template_Interface.

        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/fe_template_interface_header.h:

          Changes to make use of the new base classes above.

        * TAO_IDL/include/fe_utils.h:

          Removed whitespace.

        Tue Jul 14 20:36:44 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/fe_utils.h:

          - Added data types to FE_Utils for storage of descriptions
            of porttype contents.

          - Changed all member names in FE_Utils data types to
            have a trailing underscore.

        Tue Jul 14 18:26:09 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Restored changed to template interface production rules with
          the previous bug fixed.

        Tue Jul 14 15:30:20 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Reverted some changes to template interface production rules
          to eliminate runtime errors.

        Thu Jul  9 21:13:38 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_porttype.cpp:

          Fixed unused arg warning.

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_err.cpp:

          - Added production rules for porttype declarations.
          - Added parse states for template interfaces and porttypes.
          - Added error message and set statements corresponding to new parse states.

        Wed Jul  8 22:37:55 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_porttype.cpp:
        * TAO_IDL/include/ast_porttype.h:
        * TAO_IDL/be/be_porttype.cpp:
        * TAO_IDL/be_include/be_porttype.h:

          New files, containing frontend and backend definitions
          of classes corresponding to the IDL3+ keyword 'porttype'.

        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/be_include/be_visitor.h:

          Added traversal methods for the new port type classes,
          and other changes relating to the new AST node types.

        * orbsvcs/IFR_Service/ifr_visitor.h:
        * orbsvcs/IFR_Service/ifr_visitor.cpp:

          Added the new traversal methods to make this visitor base
          class concrete.

        Wed Jul  8 20:22:56 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/fe_template_interface_header.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/fe_interface_header.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/ast/ast_typedef.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/fe/fe_interface_header.cpp:
        * TAO_IDL/util/utl_err.cpp:

          - Added check for duplicate template parameter ids in
            a template interface.

          - Added check for mismatched template parameters (type
            and id) between parent and child template interface.

          - Added appropriate error messages for the above errors.

          - Added narrowing, visiting and dumping methods to
            AST_Template_Interface.

          - Refactored code in FE_InterfaceHeader to get more
            reuse.

        Tue Jul  7 21:38:11 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

          Added semantic action that creates a template interface in the AST.

        Tue Jul  7 21:12:52 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/fe_utils.h:
        * TAO_IDL/include/fe_template_interface_header.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/fe_interface_header.cpp:

          - Changed FE_Template_InterfaceHeader to inherit from
            FE_InterfaceHeader and reuse much of its code.

          - Added factory methods for creating template interfaces
            in the AST.

        Tue Jul  7 18:56:01 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/include/fe_utils.h:

          New files, defining datatypes used to hold information about a
          template interface's template parameters and inheritance.

        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/fe_interface_header.h:
        * TAO_IDL/include/fe_template_interface_header.h:

          - Moved template interface info datatypes from class AST_Interface
            to struct FE_Utils.

          - Cosmetic changes to ast_component.h.

          - Added semantic actions for template interface template parameters
            and inheritance.

        Fri Jul  3 23:40:25 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:

          Added missing include.

        Fri Jul  3 23:26:45 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_template_interface.h:
        * TAO_IDL/include/idl_global.h:

          - Moved template parameter info type/name pair data
            structures to class AST_Interface.

          - Added semantic action to capture a single template
            parameter from an IDL3+ template interface.

        Fri Jul  3 21:00:23 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/fe_home_header.h:
        * TAO_IDL/include/fe_event_header.h:
        * TAO_IDL/include/fe_obv_header.h:
        * TAO_IDL/include/fe_component_header.h:
        * TAO_IDL/fe/fe_event_header.cpp:
        * TAO_IDL/fe/fe_obv_header.cpp:
        * TAO_IDL/fe/fe_home_header.cpp:
        * TAO_IDL/fe/fe_component_header.cpp:

          New files, containing individual classes split
          off from fe_interface_header.{h,cpp}. Also
          added cleanup of pointer arrays allocated
          while processing inherited and supported types.

        * TAO_IDL/be/be_template_interface.cpp:
        * TAO_IDL/ast/ast_template_interface.cpp:
        * TAO_IDL/be_include/be_template_interface.h:
        * TAO_IDL/include/ast_template_interface.h:

          New files, defining front- and back-end nodes
          for the template interface IDL3+ construct.

        * TAO_IDL/include/idl_global.h:

          Defined container types for single and multiple
          type/name pairs used to desccribe the template
          parameters of an IDL3+ template interface.

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/fe_template_interface_header.h:
        * TAO_IDL/fe/fe_interface_header.cpp:
        * TAO_IDL/include/fe_interface_header.h:

          Minor/cosmetic changes.

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:

          Added #includes of the new fe_*_header.h files.

        Fri Jul  3 15:18:29 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp:

        Thu Jun 25 19:45:13 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:

          Fixed signed/unsigned mismatch warnings.

        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/fe_template_interface_header.h:

          Fixed cut/paste errors.

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp:

          Added production rules for template interface inheritance,
          and fixed typo in new token declarations.

        Thu Jun 25 16:33:34 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_template_interface_header.cpp:
        * TAO_IDL/include/fe_template_interface_header.h:

          New files, to be filled in later and used in the parser to
          gather information about template interface declarations.

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp:

          New production rules for template interfaces.

        * TAO_IDL/include/ast_decl.h:

          Added new values to the NodeType enum.

        Tue Jun 23 20:27:46 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/HTIOP/htiop_endpoints.pidl:
        * orbsvcs/orbsvcs/SSLIOP.idl:
        * orbsvcs/orbsvcs/HTIOP.idl:
        * orbsvcs/orbsvcs/CSIIOP.idl:
        * orbsvcs/orbsvcs/RtecUDPAdmin.idl:
        * tao/EndpointPolicy/IIOPEndpointValue.pidl:
        * tao/Strategies/sciop_endpoints.pidl:

          More escapes added to 'port' identifiers.

        Tue Jun 23 20:12:06 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/y.tab.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp:

          Removed switch statements with only a default case, and used
          TAO_YYUSE, the parser-specific unused arg macro, on an unused
          parameter in tao_yy_symbol_value_print().

        Tue Jun 23 19:47:58 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/IIOP_Endpoints.pidl:
        * tao/IIOP.pidl:

          Added escapes to 'port' identifiers, since it is now a
          keyword.

        Tue Jun 23 19:03:19 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp:

          Added new IDL3+ keywords: typename, primitive, port, mirrorport,
          porttype, and connector. The $ concatenation symbol is also
          now recognized as a token.

        * TAO_IDL/tao_idl.mpc:

          Updated error messages stating the earliest required versions of
          Bison and Flex.

        Tue Jun 23 17:20:15 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:

          Updated comment.

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/lex.yy.cpp.diff:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/fe/y.tab.cpp.diff:
        * TAO_IDL/fe/y.tab.cpp:

          Regenerated y.tab.cpp and lex.yy.cpp without changing the IDL grammar,
          but using updated versions of Bison (2.3) and Flex (2.5.35), and updated
          the corresponding diff files.

        Mon Jun 22 09:22:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Generate closign )

        Fri Jun 19 19:33:17 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sunsoft.cpp:
        * TAO_IDL/be_include/be_sunsoft.h:
        * TAO_IDL/be_include/be_stream_factory.h:
        * TAO_IDL/be/be_stream_factory.cpp:

          Removed files, no longer needed.

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_tmplinst.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_global.h:

          - Made abstract class TAO_OutStream concrete
            by moving 3 method implementations from
            derived class TAO_SunSoft_OutStream and
            eliminating the derived class.

          - Added code generation of export header files.

        Fri Jun 19 12:41:09 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component.cpp:

          Added the new visitor context states to switch
          statements in visit_typedef() and visit_operation().

        Thu Jun 18 18:44:18 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_identifier_helper.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_attribute/set_from_extracted.cpp:
        * TAO_IDL/be/be_visitor_attribute/component_init.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/be_include/be_visitor_operation/rettype.h:
        * TAO_IDL/be_include/be_visitor_component/component_svs.h:
        * TAO_IDL/be_include/be_visitor_component/component_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_svh.h:
        * TAO_IDL/be_include/be_identifier_helper.h:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/util/utl_global.cpp:

          - Fixed warnings in compilation of new visitors.

          - Modified flat name computation, and initialization of
            port name in component port descriptors, to leave off
            the '_cxx_' prefix (indicating a clash with a C++
            keyword) if it exists. Flat name and port name are
            always used in concatenation with other strings, and
            so the prefix isn't necessary, and is confusing to
            read.

          - Fixed CIAO servant, executor IDL and executor impl
            code generation to be consistent when the IDL file
            contains C++ keywords and escaped IDL keywords. There
            is also a new test in CIAO_ROOT/tests/IDL_Test to
            cover these use cases.

          - Fixed bug in code generation for home servant finder
            operations. These aren't implemented yet in CIAO, so
            the arguments, if any, must be generated as commented
            out, to avoid 'unused arg' warnings. Thanks to
            Johnny Willemsen <jwillemsen@remedy.nl> for reporting
            the bug.

        Tue Jun 16 20:40:48 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_svs.cpp:

          Fixed bug in code generation of home operation body,
          where the call is delegated to the executor.

        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be_include/be_decl.h:

          Fixed code generation bug where the facet servant
          class and the facet executor interface were generated
          for each use of a given interface in a facet. This
          class and interface must be generated exactly once.

        Tue Jun 16 16:46:15 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_svs.cpp:

          Fixed a couple of code generation bugs related to
          scoping adjustments. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting the problems.

        Tue Jun 16 15:40:28 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib:
        * TAO_IDL/contrib/mcpp/Makefile.am:
        * TAO_IDL/contrib/mcpp/cc1.cpp:
        * TAO_IDL/contrib/mcpp/configed.H:
        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/lib.cpp:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/main_libmcpp.c:
        * TAO_IDL/contrib/mcpp/mbchar.cpp:
        * TAO_IDL/contrib/mcpp/mcpp.mpc:
        * TAO_IDL/contrib/mcpp/mcpp_lib.h:
        * TAO_IDL/contrib/mcpp/mcpp_out.h:
        * TAO_IDL/contrib/mcpp/noconfig.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.H:
        * TAO_IDL/contrib/mcpp/system.cpp:
        * TAO_IDL/contrib/mcpp/testmain.c:

          Merged in from trunk.

        Tue Jun 16 13:09:05 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
        * TAO_IDL/be_include/be_visitor_home/home_ex_idl.h:

          Added a method that restores the state of the home's
          scope. The CCM pre_proc visitor makes some invasive
          changes, and restoration was never done since at that
          time, the home node was ignored from that point and
          all code generation came from the added implied IDL
          nodes. Now that we are doing addition code generation,
          this scope state must be restored.

        * TAO_IDL/be/be_visitor_root/root.cpp:

          Added the new context states related to CIAO code
          generation to some switch statements in this visitor,
          to avoid getting "bad context" errors.

        Fri Jun 12 20:39:24 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_svs.cpp:

          Implemented overlooked generation of home servant factory
          function.

        Thu Jun 11 19:35:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:

          Fixed errors in CIAO servant code generation.

        Thu Jun 11 17:53:42 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_null_return_emitter.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be_include/be_null_return_emitter.h:

          Fixed mistakes in executor implementation code generation.

        Thu Jun 11 000:36:59 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_root/root_exs.cpp:
        * TAO_IDL/be/be_null_return_emitter.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be_include/be_visitor_null_return_value.h:
        * TAO_IDL/be_include/be_visitor_home/home_exs.h:
        * TAO_IDL/be_include/be_visitor_operation/operation_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_exs.h:
        * TAO_IDL/be_include/be_visitor_root/root_exs.h:
        * TAO_IDL/be_include/be_null_return_emitter.h:

          New files containing visitors in support of code generation
          for CIAO executor implementation source files.

        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_exh.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be_include/be_visitor_argument/arglist.h:
        * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
        * TAO_IDL/be_include/be_visitor_operation/arglist.h:
        * TAO_IDL/be_include/be_visitor_component/component_exh.h:
        * TAO_IDL/be_include/be_visitor_root/root_exh.h:
        * TAO_IDL/be_include/be_visitor_root.h:
        * TAO_IDL/be_include/be_util.h:
        * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
        * TAO_IDL/be_include/be_visitor_home.h:
        * TAO_IDL/be_include/be_visitor_operation.h:
        * TAO_IDL/be_include/be_visitor_component.h:

          Existing files modified in support of code generation for
          CIAO executor implementation source files.

        Tue Jun  9 20:55:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_root/root_exh.cpp:
        * TAO_IDL/be_include/be_visitor_home/home_exh.h:
        * TAO_IDL/be_include/be_visitor_component/component_exh.h:
        * TAO_IDL/be_include/be_visitor_root/root_exh.h:

          New files, visitors that generate the CIAO executor
          implementation header file.

        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be_include/be_visitor_root.h:
        * TAO_IDL/be_include/be_visitor_home.h:
        * TAO_IDL/be_include/be_visitor_component.h:

          Files modified to support the generation of the CIAO
          executor implementation header file.

        Fri Jun  5 16:38:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_identifier_helper.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_root/root_svh.cpp:
        * TAO_IDL/be/be_visitor_root/root_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_root/root_svs.cpp:
        * TAO_IDL/be/be_visitor_attribute/set_from_extracted.cpp:
        * TAO_IDL/be/be_visitor_attribute/component_init.cpp:
        * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
        * TAO_IDL/be_include/be_identifier_helper.h:
        * TAO_IDL/be_include/be_visitor_home/home_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_home/home_svs.h:
        * TAO_IDL/be_include/be_visitor_home/home_svh.h:
        * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
        * TAO_IDL/be_include/be_visitor_component/component_svs.h:
        * TAO_IDL/be_include/be_visitor_component/component_svh.h:
        * TAO_IDL/be_include/be_visitor_component/component_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_root/root_svh.h:
        * TAO_IDL/be_include/be_visitor_root/root_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_root/root_svs.h:
        * TAO_IDL/be_include/be_visitor_attribute/set_from_extracted.h:
        * TAO_IDL/be_include/be_visitor_attribute/component_init.h:

          New files, visitors and utility classes to add support for
          generation of CIAO servant code and executor IDL.

        * TAO_IDL/TAO_IDL_ACE.mwc:

          New file, for convenience when compiling the IDL compiler
          after ACE has been updated.

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/ast_home.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_scope.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_attribute.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * ast/ast_operation.cpp:
        * ast/ast_interface.cpp:
        * ast/ast_component.cpp:
        * ast/ast_concrete_type.cpp:
        * ast/ast_string.cpp:
        * be_include/be_interface.h:
        * be_include/be_visitor_component/component_ch.h:
        * be_include/be_helper.h:
        * be_include/be_visitor_attribute/attribute.h:
        * be_include/be_visitor_root.h:
        * be_include/be_codegen.h:
        * be_include/be_visitor_attribute.h:
        * be_include/be_global.h:
        * be_include/be_visitor_home.h:
        * be_include/be_visitor_operation.h:
        * be_include/be_visitor_component.h:
        * driver/drv_args.cpp:
        * util/utl_global.cpp:

          Changes to existing files in support of the new CIAO servant

Sat Sep 26 08:34:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/corba-boolean.perl
        * bin/corba-boolean.pl
          Removed to .pl

        * bin/tao_orb_tests.lst:
          Enabled a few more tests for ce/labview/fuzz

        * bin/tao_svcconf.pl:
          Updated a comment

Sat Sep 26 07:59:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_Reply/run_test.pl
        * tests/Collocated_Forwarding/run_test.pl
        * tests/CSD_Strategy_Tests/TP_Test_1/run_test.pl
        * tests/DiffServ/run_test.pl
        * tests/DiffServ/server.cpp
        * tests/DII_Collocation_Tests/oneway/run_test.pl
        * tests/DII_Collocation_Tests/twoway/run_test.pl
        * tests/RTCORBA/Linear_Priority/server.cpp
        * tests/RTCORBA/Persistent_IOR/run_test.pl
        * tests/RTCORBA/Persistent_IOR/server.cpp
          Various improvements for cross platform testing

Sat Sep 26 07:52:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DLL_ORB/run_test.pl
        * tests/IDL_Inherited_Operation/client.cpp
        * tests/IDL_Inherited_Operation/run_test.pl
        * tests/IDL_Inherited_Operation/server.cpp
        * tests/Oneways_Invoking_Twoways/run_test.pl
        * tests/POA/EndpointPolicy/run_test.pl
        * tests/POA/EndpointPolicy/server.cpp
        * tests/Portable_Interceptors/AdvSlotExt/run_test.pl
        * tests/Portable_Interceptors/AdvSlotExt/server.cpp
        * tests/RTCORBA/Destroy_Thread_Pool/run_test.pl
        * tests/RTCORBA/Policies/run_test.pl
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl
        * tests/RTCORBA/RTMutex/run_test.pl
        * tests/Smart_Proxies/dtor/run_test.pl
        * tests/Timeout/run_test.pl
          Various improvements for cross platform testing

Fri Sep 25 21:34:45 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:

          Changed max # of preprocessor args from 128 to 1024.

Fri Sep 25 20:36:04 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_preproc.cpp:

          Changed max # of preprocessor args from 128 to 1024.

Fri Sep 25 19:35:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/DSI/run_test.pl
        * tests/Portable_Interceptors/PolicyFactory/run_test.pl
        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/run_test.pl
        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/run_test.pl
        * tests/Object_Loader/run_test.pl
        * tests/CSD_Collocation/run_test.pl
          Various improvements for cross platform testing

Fri Sep 25 18:54:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Abstract_Interface/run_test.pl:
        * tests/Bug_2805_Regression/run_test.pl:
        * tests/Bug_2909_Regression/run_test.pl:
        * tests/Bug_3163_Regression/run_test.pl:
        * tests/Bug_3333_Regression/run_test.pl:
        * tests/Bug_3565_Regression/run_test.pl:
        * tests/Bug_3566_Regression/run_test.pl:
        * tests/Bug_3630_Regression/run_test.pl:
          Various improvements for cross platform testing

Sat Sep 19 13:17:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/PeerProcess.cpp:
          Explicitly initialize pointers to 0

Tue Sep 15 12:37:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          Fixed possible crash at shutdown

Tue Sep 15 07:55:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tao/IIOP_Profile.cpp:
          Typo fixed.

Mon Sep 14 08:10:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tao/IIOP_Profile.cpp:
          Additional fixes for Bug_2869_regression. (tao756)

Mon Sep 14 08:03:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/DSI/run_test.pl:
          Check return value of spawn

Mon Sep 14 08:02:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Improved debug message

Mon Sep 14 06:39:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Fixed_Array_Argument_T.cpp:
          Layout changes

Fri Sep 11 02:39:39 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 1.7.3 released.

Thu Sep 10 07:07:01 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_cs.cpp:

          Corrected code generation to count WChar size for wstring
          marshal size.

Wed Sep  9 12:43:42 UTC 2009  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/catiorlib.mpb:
        * utils/catior/catior.mpc:

          Renamed the TAO_Catior library to TAO_Catior_i to accomodate the
          'vxtest' project type.

Wed Sep  9 12:38:15 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/ORB_Core.cpp:
        * tao/Leader_Follower_Flushing_Strategy.cpp:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/ORB_Core.h:

          Reverted fixes for bug#3682 and bug#3697 as there are
          problems with them and the new x.7.3 release is very close.

Wed Sep  9 09:50:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * bin/tao_other_tests.lst:

          Stop running test that occationaly locksup the LynsOS kernal.

Tue Sep  8 16:16:17 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Leader_Follower_Flushing_Strategy.cpp:

          Additional fix for bug#3697. It must fix Bug_1551_Regression
          which got broken by the original fix.

Tue Sep  8 10:46:28 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
          set the correct header length for the next fragment. This
          fixes bugzilla 3275, thanks to Simon Massey for pointing this out

Mon Sep  7 21:31:28 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.cpp:

          More clean up of debug messages, improve the detection of entry
          and exit from request waits.

Mon Sep  7 06:05:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/IFR_Service/IFR_Service.mpc:
          Removed support for mcpp again, mcpp has not been enabled

Mon Sep  7 06:00:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/logWalker/Invocation.cpp
        * utils/logWalker/Invocation.h
          Fixed problems with versioned namespace build

Fri Sep  4 02:34:00 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Log.cpp:

          Removed verbose diagnostic debug statements.

Thu Sep  3 17:40:13 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/Session.cpp:

          General improvements to the tool. It is now able to handle log
          files generated with Exclusive TMS, GIOP 1.0 messages, and cases
          of cross-thread queue flushing. Also capture details about
          service contexts attached to requests and replies, and note when
          replies contain exceptions.

Thu Sep  3 10:44:26 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector_Impl.cpp:

          Removed extra reference count during make_svc_handler().
          This is also for Bug#3732.

Thu Sep  3 10:34:43 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:

          Fixed reference counting for HTIOP connection handler.
          This is required for Bug#3732.

Thu Sep  3 09:01:53 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Crash_On_Write/Crash_Task.cpp:

          Used terminate_process() instead of abort(). The later works
          differently on Solaris.

        * tests/Bug_1476_Test/test.ior:

          An attempt to fix this test on platforms where connect to
          localhost on non-blocking socket returns with ECONNREFUSED
          while it's expected to return with errno=EINPROGRESS.
          These are Solaris and other Unices. I changed the remote host
          in IOR from localhost to something really remote (google.com).

        * tests/Big_AMI/client.cpp:
        * tests/Bug_1361_Regression/Echo_Caller.cpp:
        * tests/Bug_1361_Regression/server.cpp:
        * tests/Bug_1361_Regression/Server_Timer.cpp:
        * tests/Bug_1361_Regression/Server_Timer.h:
        * tests/Bug_1361_Regression/client.cpp:
        * tests/Bug_1361_Regression/Echo.cpp:
        * tests/Bug_1361_Regression/Server_Thread_Pool.cpp:
        * tests/Portable_Interceptors/AMI/client.cpp:
        * tests/Bug_1270_Regression/client.cpp:
        * tests/Bug_1270_Regression/Echo.cpp:
        * tests/Bug_1270_Regression/Echo_Caller.cpp:
        * tests/Bug_1270_Regression/server.cpp:
        * tests/Bug_1270_Regression/Server_Timer.cpp:
        * tests/Bug_1270_Regression/Server_Timer.h:
        * tests/Bug_1270_Regression/run_test.pl:

          Fixed tests after the change for Bug#3682 and Bug#3697. In
          some of these tests it was assumed that nothing could be
          received from server until we run orb explicitly. The later
          is not true with synch scope policy SYNC_WITH_TRANSPORT. Cleaned
          up the code of the tests.

        * tao/ORB_Core.cpp:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/ORB_Core.h:

          This fixes Bug#3682. SYNC_WITH_TRANSPORT is now really
          default synch scope policy in TAO. This must fix Single_Read
          and AMH_Oneway tests on Solaris.

        * tao/Leader_Follower_Flushing_Strategy.cpp:

          Changed the code to poll the reactor instead of running
          it indefinitely. This fixes bug#3697.

Wed Sep  2 14:53:54 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
        * tao/IIOP_Connector.cpp:
        * tao/Connector_Impl.cpp:
        * tao/Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connector.cpp:
        * tao/Strategies/UIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:

          Removed extra reference count added during
          make_svc_handler() and simplified
          TAO_Connection_Handler::close_handler(). This fixes
          bug#3732.

Wed Sep  2 09:21:56 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/tests/Security/BiDirectional/client.cpp:
        * orbsvcs/tests/Security/BiDirectional/ssl/server-cert.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/ca.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/client-key.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/client-cert.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/server-key.pem:

          Updated certificates and changed client to dynamically
          create servant so that it doens't SIGSEGV when certificates
          get outdated.

Tue Sep  1 21:38:48 UTC 2009  Steve Huston  <shuston@riverace.com>

        * bin/tao_orb_tests.lst: Bug_2702_Regression can't run on separate
          client/servers - the ior file refers to localhost.

        * tests/AMI/run_test.pl:
        * tests/AMI_Timeouts/run_test.pl:
        * tests/AMH_Oneway/run_test.pl:
          Transfer ior file from server to client.

Tue Sep  1 16:16:41 UTC 2009  Chad Elliott  <elliott_c@ociweb.com>

        * MPC/config/catiorlib.mpb:
        * utils/catior/Catior_i.h:
        * utils/catior/Catior_i.cpp:
        * utils/catior/Makefile.am:
        * utils/catior/catior.cpp:
        * utils/catior/catior.mpc:
        * utils/catior/catior_export.h:

          Split the IOR decoding functionality out into a separate library.

        * MPC/modules/IDLHelper.pm:

          Removed an unused variable.

Mon Aug 31 09:43:14 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Connection_Handler.h:
        * tao/Connection_Handler.cpp:
        * tao/ORB_Core.h:

          Removed not used members.

        * tao/Transport.cpp:

          Changed direct comparisons examining the queue state to
          TAO_Transport::queue_is_empty_i().

Tue Aug 25 21:03:23 UTC 2009  Steve Huston  <shuston@riverace.com>

        * tests/Bug_3567_Regression/run_test.pl: Interpret ior file path
          correctly when client and server are different places.

Fri Aug 14 13:30:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/AMI/client.cpp
        * docs/tutorials/Quoter/On_Demand_Activation/client.cpp
        * docs/tutorials/Quoter/Simple/Client/client.cpp
        * docs/tutorials/Quoter/Simple/Impl-Repo/client.cpp
        * docs/tutorials/Quoter/Simple/Persistent/client.cpp
        * examples/Buffered_AMI/client.cpp
        * examples/Buffered_Oneways/client.cpp
        * performance-tests/Protocols/distributor.cpp
        * performance-tests/Protocols/sender.cpp
          Removed not needed unicode conversions

        * orbsvcs/orbsvcs/IFRService/ArrayDef_i.cpp:
          Added missing ACE_TEXT

Fri Aug 14 12:43:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/tao_vc8warnings.mpb:
          Use DisableSpecificWarnings

Thu Aug 13 16:57:22 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Bugfixes.

        * orbsvcs/IFR_Service/IFR_Service.mpc:

          Enabled support for MCPP.

Wed Aug 12 18:27:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/tao_vc8warnings.mpb:
          Added support for vc10

Wed Aug 12 18:01:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
          use prop:windows

Mon Aug 10 11:25:37 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * .:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/contrib:
        * tao/Bounded_Array_Sequence_T.h:
        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:
        * tao/Bounded_Value_Sequence_T.h:
        * tao/StringSeqE.idl:
        * tao/StringSeqEC.h:
        * tao/Unbounded_Array_Sequence_T.h:
        * tao/Unbounded_Basic_String_Sequence_T.h:
        * tao/Unbounded_Object_Reference_Sequence_T.h:
        * tao/Unbounded_Octet_Sequence_T.h:
        * tao/Unbounded_Value_Sequence_T.h:
        * tao/Valuetype/Bounded_Valuetype_Sequence_T.h:
        * tao/Valuetype/Unbounded_Valuetype_Sequence_T.h:
        * tests/Bug_3647_Regression/Backend_Impl.h:
        * tests/Bug_3647_Regression/Middle_Impl.h:

          Merging in from branch dds_ports. Changelog entries:

   Fri Aug  7 14:14:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
             Generate a cleaner provide method

   Fri Aug  7 13:51:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * TAO_IDL/be/be_visitor_component/component_exs.cpp
           * TAO_IDL/be/be_visitor_component/component_svs.cpp
           * TAO_IDL/be/be_visitor_home/home_exs.cpp
           * TAO_IDL/be/be_visitor_home/home_svs.cpp
             Change the generation of the entry point functions, just
             have one exit point in the function

   Fri Aug  7 12:57:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * TAO_IDL/be/be_visitor_component/component_exs.cpp:
             Generate a safer set_session_context

   Thu Aug  6 13:42:25 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:

             Managed instance name strings with ACE_CString to avoid
             memory corruption.

   Fri Jul 31 14:01:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * tao/Bounded_Array_Sequence_T.h
           * tao/Bounded_Basic_String_Sequence_T.h
           * tao/Bounded_Object_Reference_Sequence_T.h
           * tao/Bounded_Value_Sequence_T.h
           * tao/Unbounded_Array_Sequence_T.h
           * tao/Unbounded_Basic_String_Sequence_T.h
           * tao/Unbounded_Object_Reference_Sequence_T.h
           * tao/Unbounded_Octet_Sequence_T.h
           * tao/Unbounded_Value_Sequence_T.h
           * tao/Valuetype/Bounded_Valuetype_Sequence_T.h
           * tao/Valuetype/Unbounded_Valuetype_Sequence_T.h
             Added trait size_type which is ::CORBA_ULong

           * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
             Reverted the change below, we now have size_type in the base sequences

   Fri Jul 31 13:35:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
             Generate for each sequence typedef ::CORBA::ULong _size_type as
             trait which is useful for template programming. Reported an issue
             to the OMG to get this added to the C++ spec

   Fri Jul 24 17:48:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * tao/StringSeqE.idl:
           * tao/StringSeqEC.h:
              Temporarily added to get DDS4CCM compiling

Mon Aug 10 10:54:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp (gen_op_body):
          When the executor reference is nil throw a CORBA::INV_OBJREF

Thu Aug  6 06:44:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Bug_3243_Regression.idl:
        * tests/IDL_Test/IDL_Test.mpc:
          Added test for bugzilla 3243

Wed Aug  5 14:43:30 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Valuetype/ValueBase.cpp:

          Added const qualifier in operator<< that is present
          in ValueBase.h

Mon Aug  3 22:57:03 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_orb_tests.lst:

          Disabled ForwardOnceUponException test from single thread
          build.

Mon Aug  3 18:01:46 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * NEWS:
        * docs/Options.html:

          Documented the ORB options for request forward once upon
          specified exceptions.

Mon Aug  3 12:09:40 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3701_Regression/*:
          Added test for bugzilla 3701

        * tests/Timed_Buffered_Oneways/run_test.pl:
        * tests/Single_Read/run_test.pl:
        * tests/Server_Leaks/run_test.pl:
        * tests/POA/Persistent_ID/run_test.pl:
        * tests/Crash_On_Write/run_test.pl:
          Check return value of spawn

Wed Jul 29 20:18:21 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/logWalker.cpp:

          wchar build fix.

Wed Jul 29 03:43:38 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/Session.cpp:
        * utils/logWalker/Thread.cpp:
        * utils/logWalker/logWalker.cpp:

          Fuzz fixes.

Wed Jul 29 03:19:17 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.h:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.h:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/README:
        * utils/logWalker/Session.h:
        * utils/logWalker/Session.cpp:
        * utils/logWalker/Thread.h:
        * utils/logWalker/Thread.cpp:
        * utils/logWalker/hello.mft:
        * utils/logWalker/logWalker.cpp:

          Incremental improvement to log parsing utility. Invocations are
          now sorted by thread, indenting nested upcalls. The output can
          be split out to multiple files under a named directory. This is
          for useful for dealing with large collections of logfiles.

Fri Jul 24 21:48:40 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * tao/Invocation_Utils.h:
        * tao/ORB_Core.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/params.h:
        * tao/params.inl:
        * tao/params.cpp:

          Added following ORB options for request forwarding once feature.

             -ORBForwardOnceOnObjectNotExist  [0|1]
             -ORBForwardOnceOnCommFailure [0|1]
             -ORBForwardOnceOnTransient [0|1]
             -ORBForwardOnceOnInvObjref [0|1]

          The -ORBForwardOnceOnObjectNotExist ORB option is added
          to avoid side effect from -ORBForwardInvocationOnObjectNotExist
          that could cause the request fall into forward loop in some
          use cases (e.g. client sends request while servant is deactivated).
          The other options are added for the same purpose to avoid
          possible forward loop upon specified exceptions.

          - Currently only four exception forwarding are supported.
          - The stub was changed to remember if forwarding already happened.
          - If the feature is enabled, the request is forwarded once. If multiple
            exceptions forwarding are enabled, then any of those exception forwarding
            will prevent forwarding upon next exception.

        * tests/ForwardOnceUponException/ForwardOnceUponException.mpc:
        * tests/ForwardOnceUponException/README:
        * tests/ForwardOnceUponException/client.cpp:
        * tests/ForwardOnceUponException/run_test.pl:
        * tests/ForwardOnceUponException/server.cpp:
        * tests/ForwardOnceUponException/test.idl:
        * tests/ForwardOnceUponException/test_i.h:
        * tests/ForwardOnceUponException/test_i.inl:
        * tests/ForwardOnceUponException/test_i.cpp:

          Added test cases for the new options independent on any services.

        * orbsvcs/tests/ImplRepo/ReconnectServer/ORB_Task.h:
        * orbsvcs/tests/ImplRepo/ReconnectServer/ORB_Task.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/ReconnectServer.mpc:
        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:

          - Added ORB thread and start it after wrong server(B) start
            listening. This would easily reproduce the forward looping issue
            with -ORBForwardInvocationOnObjectNotExist 1.
          - Added "-ORBForwardOnceOnObjectNotExist 1" test case.

        * bin/tao_orb_tests.lst:

          Added ForwardOnceUponException.

        * bin/tao_other_tests.lst:

          Added more test cases to IMR ReconnectServer test.

Fri Jul 24 08:25:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tao/Synch_Invocation.cpp:
        * tests/Bug_3333_Regression/client.cpp:

          If given, enforce the round-trip timeout value of zero.
          (If the countdown time actually reaches zero, it actually
          means we have timedout, not that it now doesn't have any
          timeout value! Some OS's assume a timeout value of zero
          means no timeout.)

Thu Jul 23 17:51:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Gateway_IIOP.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp
          is_gateway is a bool

        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
          Layout changes

        * orbsvcs/tests/Notify/Structured_Filter/Notify_Push_Consumer.cpp:
          Unicode fix, prefix increment

Thu Jul 23 17:50:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/LF_Event.inl:
          Fixed incorrect undef

Thu Jul 23 17:48:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for next release

Thu Jul 23 02:11:02 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 1.7.2 released.

Wed Jul 22 14:26:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/IFR_Service/IFR_Service.mpc:
          Reverted changes to add dependency on mcpp. Thanks for Adam pointing out
          that this broke one build

Tue Jul 21 11:43:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * be/be_helper.cpp:
          Use doxygen style of copyright

        * be/be_interface.cpp:
        * be/be_visitor_operation/operation_svs.cpp:
          Generate the facet servant as regular class and not as a template.
          This fixes several problems with visibility enabled

Mon Jul 20 07:51:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
          Fixed warnings on Solaris

Sun Jul 19 10:20:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
          Fixed compile warnings on HPUX

Thu Jul 16 00:41:28 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted this change, it breaks other platforms

        Wed Jul 15 16:10:28 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be_include/be_helper.h:
          Fix for compile error on OS X.

Wed Jul 15 22:24:28 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_exh.cpp
        * TAO_IDL/be/be_visitor_component/component_exs.cpp
        * TAO_IDL/be/be_visitor_home/home_exh.cpp
        * TAO_IDL/be/be_visitor_home/home_exs.cpp
        * TAO_IDL/be/be_visitor_home/home_svh.cpp
        * TAO_IDL/be/be_visitor_home/home_svs.cpp
          Merged in some fixes from Jeff from the dds_ports branch to resolve
          compile warnings

Wed Jul 15 16:10:28 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be_include/be_helper.h:

          Fix for compile error on OS X.

Wed Jul 15 13:24:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/Makefile.am:
          Updated with all recent changes

Tue Jul 14 20:46:18 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/system.cpp:

          Further warning fixes.

Tue Jul 14 20:32:34 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_exs.cpp:

          Roll back commented out port provider, while a good idea in theory,
          causes warnings in generated code which may be part of the automated
          build.

Tue Jul 14 20:15:03 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/lib.cpp:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/mbchar.cpp:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Address some warnings.

Tue Jul 14 14:21:41 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype.cpp:
        * TAO_IDL/util/utl_global.cpp:
          Resolved Fuzz errors.

Tue Jul 14 11:12:09 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * .:
        * MPC/modules:
        * MPC/modules/IDLHelper.pm:
        * NEWS:
        * TAO_IDL/TAO_IDL_ACE.mwc:
        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_concrete_type.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_operation.cpp:
        * TAO_IDL/ast/ast_string.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_identifier_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_null_return_emitter.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_tmplinst.cpp:
        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_attribute.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_visitor_attribute/component_init.cpp:
        * TAO_IDL/be/be_visitor_attribute/set_from_extracted.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_component/component.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_svh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_svs.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_root/root_exh.cpp:
        * TAO_IDL/be/be_visitor_root/root_exs.cpp:
        * TAO_IDL/be/be_visitor_root/root_svh.cpp:
        * TAO_IDL/be/be_visitor_root/root_svs.cpp:
        * TAO_IDL/be/be_visitor_scope.cpp:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_identifier_helper.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_null_return_emitter.h:
        * TAO_IDL/be_include/be_util.h:
        * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
        * TAO_IDL/be_include/be_visitor_argument/arglist.h:
        * TAO_IDL/be_include/be_visitor_attribute.h:
        * TAO_IDL/be_include/be_visitor_attribute/attribute.h:
        * TAO_IDL/be_include/be_visitor_attribute/component_init.h:
        * TAO_IDL/be_include/be_visitor_attribute/set_from_extracted.h:
        * TAO_IDL/be_include/be_visitor_component.h:
        * TAO_IDL/be_include/be_visitor_component/component_ch.h:
        * TAO_IDL/be_include/be_visitor_component/component_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_component/component_exh.h:
        * TAO_IDL/be_include/be_visitor_component/component_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_svh.h:
        * TAO_IDL/be_include/be_visitor_component/component_svs.h:
        * TAO_IDL/be_include/be_visitor_home.h:
        * TAO_IDL/be_include/be_visitor_home/home_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_home/home_exh.h:
        * TAO_IDL/be_include/be_visitor_home/home_exs.h:
        * TAO_IDL/be_include/be_visitor_home/home_svh.h:
        * TAO_IDL/be_include/be_visitor_home/home_svs.h:
        * TAO_IDL/be_include/be_visitor_interface.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_svh.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_svs.h:
        * TAO_IDL/be_include/be_visitor_null_return_value.h:
        * TAO_IDL/be_include/be_visitor_operation.h:
        * TAO_IDL/be_include/be_visitor_operation/arglist.h:
        * TAO_IDL/be_include/be_visitor_operation/operation_exs.h:
        * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype.h:
        * TAO_IDL/be_include/be_visitor_root.h:
        * TAO_IDL/be_include/be_visitor_root/root_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_root/root_exh.h:
        * TAO_IDL/be_include/be_visitor_root/root_exs.h:
        * TAO_IDL/be_include/be_visitor_root/root_svh.h:
        * TAO_IDL/be_include/be_visitor_root/root_svs.h:
        * TAO_IDL/contrib:
        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/lib.cpp:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/noconfig.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_home.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:
        * docs/compiler.html:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * tests/Bug_3647_Regression/Backend_Impl.h:
        * tests/Bug_3647_Regression/Middle_Impl.h:

          Merged in dds_ports branch, changelog entries pasted below.

        * TAO_IDL/be/be_stream_factory.cpp:
        * TAO_IDL/be/be_sunsoft.cpp:
        * TAO_IDL/be_include/be_stream_factory.h:
        * TAO_IDL/be_include/be_sunsoft.h:

          Removed these files.

   Tue Jul  7 17:11:51 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_produce.cpp:

             Removed the short-circuit cleanup and return after skeleton
             header generation if the -SS option is in effect - the
             overhead saved is negligible and other passes, plus export
             header file generation, may still be needed. Thanks to
             Will Otte <wotte@dre.vanderbilt.edu> for reporting the
             bug.

           * TAO_IDL/be/be_global.cpp:

             Added lines to unset the skeleton inline and skeleton
             source file generation flags when the -SS option is
             seen, making for cleaner logic in BE_produce, as noted
             above.

   Tue Jul  7 16:27:42 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_svs.cpp:
           * TAO_IDL/be/be_visitor_home/home_exs.cpp:
           * TAO_IDL/be/be_visitor_home/home_svh.cpp:
           * TAO_IDL/be/be_visitor_home/home_exh.cpp:
           * TAO_IDL/be/be_visitor_component/component_exh.cpp:
           * TAO_IDL/be/be_visitor_component/component_exs.cpp:
           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:

             Added check to skip code generation for declarations
             from included IDL files. Thanks to Will Otte
             <wotte@dre.vanderbilt.edu> for reporting the problem.

           * TAO_IDL/util/utl_global.cpp:

             Cosmetic changes.

   Wed Jul  1 16:27:07 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:

             Conditionalized generation of value factory registration
             with a check to see if the eventtype in question has a
             concrete factory. Registration macro should be generated
             only if this check returns true.

   Wed Jul  1 15:57:38 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_global.cpp:

             Added component swapping option -Gsw to the usage message.

   Wed Jul  1 15:53:59 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * NEWS:
           * docs/compiler.html:

             Updated documentation with new IDL compiler functionality,
             CIAO-related generation and export header file generation.

   Wed Jul  1 14:13:40 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

           * TAO_IDL/driver/drv_mcpp_preproc.cpp:

             Re-enabled the capability to dump preprocessor output.

   Tue Jun 30 15:26:20 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_interface.cpp:

             Commented out an unused parameter.

   Mon Jun 29 23:07:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_interface/interface_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_interface/interface_svh.cpp:
           * TAO_IDL/be/be_visitor_interface/interface_svs.cpp:
           * TAO_IDL/be_include/be_visitor_interface/interface_svh.h:
           * TAO_IDL/be_include/be_visitor_interface/interface_svs.h:
           * TAO_IDL/be_include/be_visitor_interface/interface_ex_idl.h:

             New visitors, to support the generation of facet servant
             code for every interface in the translation unit, replacing
             the default mechanism of generating this code by navigation
             from components' lists of provides ports.

           * TAO_IDL/be/be_visitor_interface.cpp:
           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
           * TAO_IDL/be/be_codegen.cpp:
           * TAO_IDL/be/be_visitor_root/root.cpp:
           * TAO_IDL/be/be_visitor_module/module.cpp:
           * TAO_IDL/be/be_global.cpp:
           * TAO_IDL/be/be_produce.cpp:
           * TAO_IDL/be/be_interface.cpp:
           * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
           * TAO_IDL/be_include/be_interface.h:
           * TAO_IDL/be_include/be_visitor_component/component_svs.h:
           * TAO_IDL/be_include/be_visitor_component/component_svh.h:
           * TAO_IDL/be_include/be_visitor_component/component_ex_idl.h:
           * TAO_IDL/be_include/be_global.h:
           * TAO_IDL/be_include/be_visitor_interface.h:

             Changes to existing IDL files to support standalone
             interface facet servant generation.

   Thu Jun 25 14:52:49 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:

             Restored a line of code that causes the argument list of
             empty executor implementation operations in the source file
             to be commented out, since the operation body is empty until
             the user fills it in.

   Wed Jun 24 14:56:08 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

           * TAO_IDL/contrib/mcpp/directive.cpp:
           * TAO_IDL/contrib/mcpp/expand.cpp:
           * TAO_IDL/contrib/mcpp/internal.H:
           * TAO_IDL/contrib/mcpp/lib.cpp:
           * TAO_IDL/contrib/mcpp/main.cpp:
           * TAO_IDL/contrib/mcpp/noconfig.H:
           * TAO_IDL/contrib/mcpp/support.cpp:
           * TAO_IDL/contrib/mcpp/system.cpp:

             Renamed stpcpy to mcpp_stpcpy to avoid clashes if a system defined
             stpcpy is present.

   Tue Jun 23 15:19:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * MPC/modules/IDLHelper.pm:
             cleanup and slight improvement when the export include is the last
             option on the line

   Tue Jun 23 14:53:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * MPC/modules/IDLHelper.pm:
             new IDL helper to let MPC generate the export file names so that
             they get removed using a clean. Thanks to Adam Mitz for assisting
             with this

   Mon Jun 22 09:22:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

           * TAO_IDL/be/be_codegen.cpp:
             Generate closign )

   Fri Jun 19 19:33:17 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_sunsoft.cpp:
           * TAO_IDL/be_include/be_sunsoft.h:
           * TAO_IDL/be_include/be_stream_factory.h:
           * TAO_IDL/be/be_stream_factory.cpp:

             Removed files, no longer needed.

           * TAO_IDL/be/be_codegen.cpp:
           * TAO_IDL/be/be_tmplinst.cpp:
           * TAO_IDL/be/be_global.cpp:
           * TAO_IDL/be/be_produce.cpp:
           * TAO_IDL/be/be_helper.cpp:
           * TAO_IDL/be/be_interface.cpp:
           * TAO_IDL/be_include/be_helper.h:
           * TAO_IDL/be_include/be_codegen.h:
           * TAO_IDL/be_include/be_global.h:

             - Made abstract class TAO_OutStream concrete
               by moving 3 method implementations from
               derived class TAO_SunSoft_OutStream and
               eliminating the derived class.

             - Added code generation of export header files.

   Fri Jun 19 12:41:09 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component/component.cpp:

             Added the new visitor context states to switch
             statements in visit_typedef() and visit_operation().

   Thu Jun 18 18:44:18 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/include/idl_global.h:
           * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
           * TAO_IDL/be/be_visitor_operation.cpp:
           * TAO_IDL/be/be_visitor_argument/arglist.cpp:
           * TAO_IDL/be/be_identifier_helper.cpp:
           * TAO_IDL/be/be_interface_strategy.cpp:
           * TAO_IDL/be/be_visitor_home/home_svs.cpp:
           * TAO_IDL/be/be_visitor_home/home_exs.cpp:
           * TAO_IDL/be/be_visitor_home/home_svh.cpp:
           * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_home/home_exh.cpp:
           * TAO_IDL/be/be_visitor_operation/rettype.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
           * TAO_IDL/be/be_visitor_component/component_exh.cpp:
           * TAO_IDL/be/be_visitor_component/component_exs.cpp:
           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
           * TAO_IDL/be/be_visitor_attribute/set_from_extracted.cpp:
           * TAO_IDL/be/be_visitor_attribute/component_init.cpp:
           * TAO_IDL/be/be_visitor_null_return_value.cpp:
           * TAO_IDL/be/be_decl.cpp:
           * TAO_IDL/ast/ast_decl.cpp:
           * TAO_IDL/be_include/be_visitor_operation/rettype.h:
           * TAO_IDL/be_include/be_visitor_component/component_svs.h:
           * TAO_IDL/be_include/be_visitor_component/component_exs.h:
           * TAO_IDL/be_include/be_visitor_component/component_svh.h:
           * TAO_IDL/be_include/be_identifier_helper.h:
           * TAO_IDL/fe/y.tab.cpp:
           * TAO_IDL/fe/idl.yy:
           * TAO_IDL/util/utl_global.cpp:

             - Fixed warnings in compilation of new visitors.

             - Modified flat name computation, and initialization of
               port name in component port descriptors, to leave off
               the '_cxx_' prefix (indicating a clash with a C++
               keyword) if it exists. Flat name and port name are
               always used in concatenation with other strings, and
               so the prefix isn't necessary, and is confusing to
               read.

             - Fixed CIAO servant, executor IDL and executor impl
               code generation to be consistent when the IDL file
               contains C++ keywords and escaped IDL keywords. There
               is also a new test in CIAO_ROOT/tests/IDL_Test to
               cover these use cases.

             - Fixed bug in code generation for home servant finder
               operations. These aren't implemented yet in CIAO, so
               the arguments, if any, must be generated as commented
               out, to avoid 'unused arg' warnings. Thanks to
               Johnny Willemsen <jwillemsen@remedy.nl> for reporting
               the bug.

   Tue Jun 16 20:40:48 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_svs.cpp:

             Fixed bug in code generation of home operation body,
             where the call is delegated to the executor.

           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
           * TAO_IDL/be/be_decl.cpp:
           * TAO_IDL/be_include/be_decl.h:

             Fixed code generation bug where the facet servant
             class and the facet executor interface were generated
             for each use of a given interface in a facet. This
             class and interface must be generated exactly once.

   Tue Jun 16 16:46:15 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component/component_svs.cpp:

             Fixed a couple of code generation bugs related to
             scoping adjustments. Thanks to Johnny Willemsen
             <jwillemsen@remedy.nl> for reporting the problems.

   Tue Jun 16 15:40:28 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

           * TAO_IDL/contrib:
           * TAO_IDL/contrib/mcpp/Makefile.am:
           * TAO_IDL/contrib/mcpp/cc1.cpp:
           * TAO_IDL/contrib/mcpp/configed.H:
           * TAO_IDL/contrib/mcpp/directive.cpp:
           * TAO_IDL/contrib/mcpp/eval.cpp:
           * TAO_IDL/contrib/mcpp/expand.cpp:
           * TAO_IDL/contrib/mcpp/internal.H:
           * TAO_IDL/contrib/mcpp/lib.cpp:
           * TAO_IDL/contrib/mcpp/main.cpp:
           * TAO_IDL/contrib/mcpp/main_libmcpp.c:
           * TAO_IDL/contrib/mcpp/mbchar.cpp:
           * TAO_IDL/contrib/mcpp/mcpp.mpc:
           * TAO_IDL/contrib/mcpp/mcpp_lib.h:
           * TAO_IDL/contrib/mcpp/mcpp_out.h:
           * TAO_IDL/contrib/mcpp/noconfig.H:
           * TAO_IDL/contrib/mcpp/support.cpp:
           * TAO_IDL/contrib/mcpp/system.H:
           * TAO_IDL/contrib/mcpp/system.cpp:
           * TAO_IDL/contrib/mcpp/testmain.c:

             Merged in from trunk.

   Tue Jun 16 13:09:05 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
           * TAO_IDL/be_include/be_visitor_home/home_ex_idl.h:

             Added a method that restores the state of the home's
             scope. The CCM pre_proc visitor makes some invasive
             changes, and restoration was never done since at that
             time, the home node was ignored from that point and
             all code generation came from the added implied IDL
             nodes. Now that we are doing addition code generation,
             this scope state must be restored.

           * TAO_IDL/be/be_visitor_root/root.cpp:

             Added the new context states related to CIAO code
             generation to some switch statements in this visitor,
             to avoid getting "bad context" errors.

   Fri Jun 12 20:39:24 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_svs.cpp:

             Implemented overlooked generation of home servant factory
             function.

   Thu Jun 11 19:35:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:

             Fixed errors in CIAO servant code generation.

   Thu Jun 11 17:53:42 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_exh.cpp:
           * TAO_IDL/be/be_visitor_component/component_exh.cpp:
           * TAO_IDL/be/be_null_return_emitter.cpp:
           * TAO_IDL/be/be_visitor_null_return_value.cpp:
           * TAO_IDL/be_include/be_null_return_emitter.h:

             Fixed mistakes in executor implementation code generation.

   Thu Jun 11 000:36:59 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_home/home_exs.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
           * TAO_IDL/be/be_visitor_component/component_exs.cpp:
           * TAO_IDL/be/be_visitor_root/root_exs.cpp:
           * TAO_IDL/be/be_null_return_emitter.cpp:
           * TAO_IDL/be/be_visitor_null_return_value.cpp:
           * TAO_IDL/be_include/be_visitor_null_return_value.h:
           * TAO_IDL/be_include/be_visitor_home/home_exs.h:
           * TAO_IDL/be_include/be_visitor_operation/operation_exs.h:
           * TAO_IDL/be_include/be_visitor_component/component_exs.h:
           * TAO_IDL/be_include/be_visitor_root/root_exs.h:
           * TAO_IDL/be_include/be_null_return_emitter.h:

             New files containing visitors in support of code generation
             for CIAO executor implementation source files.

           * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
           * TAO_IDL/be/be_visitor_home.cpp:
           * TAO_IDL/be/be_visitor_operation.cpp:
           * TAO_IDL/be/be_visitor_argument/arglist.cpp:
           * TAO_IDL/be/be_visitor_component.cpp:
           * TAO_IDL/be/be_visitor_home/home_exh.cpp:
           * TAO_IDL/be/be_visitor_operation/arglist.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
           * TAO_IDL/be/be_visitor_component/component_exh.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
           * TAO_IDL/be/be_visitor_root.cpp:
           * TAO_IDL/be/be_codegen.cpp:
           * TAO_IDL/be/be_visitor_root/root.cpp:
           * TAO_IDL/be/be_visitor_root/root_exh.cpp:
           * TAO_IDL/be/be_visitor_module/module.cpp:
           * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
           * TAO_IDL/be/be_produce.cpp:
           * TAO_IDL/be_include/be_visitor_argument/arglist.h:
           * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
           * TAO_IDL/be_include/be_visitor_operation/arglist.h:
           * TAO_IDL/be_include/be_visitor_component/component_exh.h:
           * TAO_IDL/be_include/be_visitor_root/root_exh.h:
           * TAO_IDL/be_include/be_visitor_root.h:
           * TAO_IDL/be_include/be_util.h:
           * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
           * TAO_IDL/be_include/be_visitor_home.h:
           * TAO_IDL/be_include/be_visitor_operation.h:
           * TAO_IDL/be_include/be_visitor_component.h:

             Existing files modified in support of code generation for
             CIAO executor implementation source files.

   Tue Jun  9 20:55:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_component/component_exh.cpp:
           * TAO_IDL/be/be_visitor_home/home_exh.cpp:
           * TAO_IDL/be/be_visitor_root/root_exh.cpp:
           * TAO_IDL/be_include/be_visitor_home/home_exh.h:
           * TAO_IDL/be_include/be_visitor_component/component_exh.h:
           * TAO_IDL/be_include/be_visitor_root/root_exh.h:

             New files, visitors that generate the CIAO executor
             implementation header file.

           * TAO_IDL/be/be_visitor_home.cpp:
           * TAO_IDL/be/be_visitor_component.cpp:
           * TAO_IDL/be/be_visitor_root.cpp:
           * TAO_IDL/be/be_codegen.cpp:
           * TAO_IDL/be/be_visitor_root/root.cpp:
           * TAO_IDL/be/be_visitor_module/module.cpp:
           * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
           * TAO_IDL/be/be_produce.cpp:
           * TAO_IDL/be_include/be_visitor_root.h:
           * TAO_IDL/be_include/be_visitor_home.h:
           * TAO_IDL/be_include/be_visitor_component.h:

             Files modified to support the generation of the CIAO
             executor implementation header file.

   Fri Jun  5 16:38:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

           * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
           * TAO_IDL/be/be_identifier_helper.cpp:
           * TAO_IDL/be/be_visitor_home/home_svs.cpp:
           * TAO_IDL/be/be_visitor_home/home_svh.cpp:
           * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
           * TAO_IDL/be/be_visitor_component/component_svh.cpp:
           * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_component/component_svs.cpp:
           * TAO_IDL/be/be_visitor_root/root_svh.cpp:
           * TAO_IDL/be/be_visitor_root/root_ex_idl.cpp:
           * TAO_IDL/be/be_visitor_root/root_svs.cpp:
           * TAO_IDL/be/be_visitor_attribute/set_from_extracted.cpp:
           * TAO_IDL/be/be_visitor_attribute/component_init.cpp:
           * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
           * TAO_IDL/be_include/be_identifier_helper.h:
           * TAO_IDL/be_include/be_visitor_home/home_ex_idl.h:
           * TAO_IDL/be_include/be_visitor_home/home_svs.h:
           * TAO_IDL/be_include/be_visitor_home/home_svh.h:
           * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
           * TAO_IDL/be_include/be_visitor_component/component_svs.h:
           * TAO_IDL/be_include/be_visitor_component/component_svh.h:
           * TAO_IDL/be_include/be_visitor_component/component_ex_idl.h:
           * TAO_IDL/be_include/be_visitor_root/root_svh.h:
           * TAO_IDL/be_include/be_visitor_root/root_ex_idl.h:
           * TAO_IDL/be_include/be_visitor_root/root_svs.h:
           * TAO_IDL/be_include/be_visitor_attribute/set_from_extracted.h:
           * TAO_IDL/be_include/be_visitor_attribute/component_init.h:

             New files, visitors and utility classes to add support for
             generation of CIAO servant code and executor IDL.

           * TAO_IDL/TAO_IDL_ACE.mwc:

             New file, for convenience when compiling the IDL compiler
             after ACE has been updated.

           * TAO_IDL/include/idl_global.h:
           * TAO_IDL/include/ast_home.h:
           * TAO_IDL/include/ast_operation.h:
           * TAO_IDL/include/ast_component.h:
           * TAO_IDL/include/ast_array.h:
           * TAO_IDL/be/be_visitor_home.cpp:
           * TAO_IDL/be/be_visitor_operation.cpp:
           * TAO_IDL/be/be_visitor_component.cpp:
           * TAO_IDL/be/be_visitor_scope.cpp:
           * TAO_IDL/be/be_visitor_operation/arglist.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
           * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
           * TAO_IDL/be/be_visitor_operation/operation.cpp:
           * TAO_IDL/be/be_visitor_component/component_sh.cpp:
           * TAO_IDL/be/be_visitor_root.cpp:
           * TAO_IDL/be/be_codegen.cpp:
           * TAO_IDL/be/be_visitor_root/root.cpp:
           * TAO_IDL/be/be_visitor_attribute.cpp:
           * TAO_IDL/be/be_visitor_module/module.cpp:
           * TAO_IDL/be/be_global.cpp:
           * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
           * TAO_IDL/be/be_produce.cpp:
           * TAO_IDL/be/be_interface.cpp:
           * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
           * TAO_IDL/ast/ast_home.cpp:
           * ast/ast_operation.cpp:
           * ast/ast_interface.cpp:
           * ast/ast_component.cpp:
           * ast/ast_concrete_type.cpp:
           * ast/ast_string.cpp:
           * be_include/be_interface.h:
           * be_include/be_visitor_component/component_ch.h:
           * be_include/be_helper.h:
           * be_include/be_visitor_attribute/attribute.h:
           * be_include/be_visitor_root.h:
           * be_include/be_codegen.h:
           * be_include/be_visitor_attribute.h:
           * be_include/be_global.h:
           * be_include/be_visitor_home.h:
           * be_include/be_visitor_operation.h:
           * be_include/be_visitor_component.h:
           * driver/drv_args.cpp:
           * util/utl_global.cpp:

             Changes to existing files in support of the new CIAO servant
             code and executor IDL code generation.


Tue Jul 14 02:45:10 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          updated for new release.

Mon Jul 13 12:32:13 CDT 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO version 1.7.1 released.

Mon Jul 13 14:00:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tests/Bug_3333_Regression/run_test.pl:

          Ensure second iorfile is output by server.

Mon Jul 13 12:28:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * tests/Bug_3333_Regression/run_test.pl:
        * tests/Bug_3333_Regression/client.cpp:
        * tests/Bug_3333_Regression/server.cpp:

          Add more progress output to attempt to see why this
          test is failing on the remady virtual machines.

Fri Jul 10 10:38:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * bin/tao_orb_tests.lst:

          Add !CORBA_E_COMPACT & !CORBA_E_MICRO to bugzilla 3333.

        * tests/Bug_3333_Regression/run_test.pl:

          Increase timeout value for test.

Thu Jul 09 13:10:00 UTC 2009  Simon Massey  <sma@prismtech.com>

        * bin/tao_orb_tests.lst:
        * tao/Invocation_Adapter.cpp:
        * tests/Bug_3333_Regression/Bug3333.mpc:
        * tests/Bug_3333_Regression/README:
        * tests/Bug_3333_Regression/Test.idl:
        * tests/Bug_3333_Regression/Hello.h:
        * tests/Bug_3333_Regression/Hello.cpp:
        * tests/Bug_3333_Regression/client.cpp:
        * tests/Bug_3333_Regression/server.cpp:
        * tests/Bug_3333_Regression/run_test.pl:

          Fixed bugzilla 3333.

Mon Jun 29 15:08:12 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Connection_Handler.cpp:

          Fixed a bug in Friday's commit.

Sun Jun 28 16:15:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/union.idl
          Fixed compile problem with SunStudio 12 Update 1

Fri Jun 26 20:41:53 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Block_Flushing_Strategy.h:
        * tao/Block_Flushing_Strategy.cpp:
        * tao/Connection_Handler.h:
        * tao/Connection_Handler.inl:
        * tao/Connection_Handler.cpp:
        * tao/IIOP_Connection_Handler.h:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/Transport.h:
        * tao/Transport.cpp:

          This resolves bug #3704.
          TAO_Transport::handle_output() now uses an enum return value to
          distinguish the EWOULDBLOCK case from other normal or error
          conditions.  The Block_Flushing_Strategy checks for EWOULDBLOCK
          and calls a new method, handle_write_ready(), on the Connection
          Handler.  The Connection Handler calls ACE::handle_write_ready()
          passing the specific handle.

        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.h:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.h:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.h:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Mcast_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:

          Added handle_write_ready() to the non-IIOP protocols.

Thu Jun 25 14:17:46 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/fe/lex.yy.cpp:

          Untabify.

Tue Jun 23 20:06:54 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_init.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          Use %C when inserting char* into ACE_DEBUG/ACE_ERROR strings.

        * tao/TAO_Internal.cpp:

          Enable ACE_ARGV's quote_args functionality for user strings
          like -ORBSvcConf and argv[0].  This resolves bug #3630.

        * tests/Bug_3630_Regression/server.cpp:
        * bin/tao_orb_tests.lst:

          3630 is now expected to pass; fixed bugs in the test case.

        * tests/Bug_2683_Regression/client.cpp:

          Convert hostname from ACE_TCHAR* to char* before passing to sprintf.

        * orbsvcs/tests/Bug_3486_Regression/run_test.pl:

          Changed the log messages to have the correct bug #.

        * orbsvcs/tests/FaultTolerance/IOGR/run_test.pl:
        * tests/Crashed_Callback/run_test.pl:

          Extend the timeout.

        * tests/ForwardUponObjectNotExist/client.cpp:

          Use strlen() to find length of an ACE_TCHAR string.

        * tests/Reliable_Oneways/run_test.pl:

          Extend the timeout and use a localhost endpoint to avoid excessive
          delays on multihomed machines as each endpoint is tried.

Tue Jun 23 14:53:01 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:
          Added space for 1.7 -> 1.7.1 changes.

Mon Jun 22 09:33:40 CDT 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO version 1.7 released.

Thu Jun 18 22:47:05 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Invocation.h:
        * orbsvcs/tests/Notify/Bug_3688b_Regression/TestListener.h:

          There is a curious order-of-inclusion problem on macosx-leopoard
          builds whereby including a non-ACE header before something that
          includes ace/config.h causes a compiler error in
          OS_NS_stdlib.inl. It seems that on that platform, the signature
          of ::unsetenv() varies. I think this should be looked into in
          greater depth after releasing x.7.0.

Thu Jun 18 15:44:35 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Block_Flushing_Strategy.h:
        * tao/Block_Flushing_Strategy.cpp:
        * tao/Flushing_Strategy.h:
        * tao/Flushing_Strategy.cpp:
        * tao/Transport.cpp:

          Reverted the change from...
          Fri Jun 12 14:29:55 UTC 2009  Adam Mitz  <mitza@ociweb.com>
          ...which made it an error to have a send() return -1/EWOULDBLOCK
          with the blocking flushing strategy.  This is actually expected
          behavior for a server, but it needs to be changed for the blocking
          flusing strategy, see bug #3704, to be resolved after the release.

Tue Jun 16 20:23:44 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          Fixed malformed lines (missing space between items).

Tue Jun 16 15:33:24 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS:

          Updated.

        * TAO_IDL/contrib/mcpp/system.cpp:

          Removed incompatible throw specification.

Tue Jun 16 07:19:07 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
          Added return value check for fscanf to silence complation
          warning on Ubuntu 9.04.

Tue Jun 16 07:06:14 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Big_AMI/client.cpp:
        * tests/Crash_On_Write/Crash_Task.cpp:
        * tests/Portable_Interceptors/AMI/client.cpp:
        * tests/Bug_1270_Regression/client.cpp:
        * tests/Bug_1270_Regression/Echo.cpp:
        * tests/Bug_1270_Regression/server.cpp:
        * tests/Bug_1476_Test/test.ior:
        * tao/ORB_Core.cpp:
        * tao/Leader_Follower_Flushing_Strategy.cpp:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/ORB_Core.h:
        * tao/Transport.cpp:

          Reverted all my changes for Bug#3682 and Bug#3697. They need
          more investigation.

Mon Jun 15 19:45:30 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Connection_Handler.cpp:

          Change the initialization of the bidir listen point received in
          the context. This will silence an error that is reported by the
          ACE_INET_Addr ctor regardless of the debug output level.

        * tests/BiDirectional/run_test3557.pl:

          Change the number of iterations sent by the server to the
          callback.  This is necessary to avoid a problem on windows in
          which the TAO_IIOP_Endpoint::hash() method first calls its
          object_addr_i() to initialize the object address. This then
          calls ACE_INET_Addr::set() which ultimately calls
          gethostbyname(). When the supplied endpoint is unreachable,
          as is the point of this test, windows apparently takes a while
          to time out before actually completing invocation and passing
          the test.

          This actually points out a potentential failure in the transport
          cache in that recached bidir transports may end up using a hash
          key value of 0. This is not in itself a failure, but more than
          one such entry will cause that 0'th bucket to become
          disproportionally large.

Mon Jun 15 18:41:04 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:
          Unicode fixes

Mon Jun 15 13:54:01 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Leader_Follower_Flushing_Strategy.cpp:

          Improved the fix for Bug#3697 even more.

Mon Jun 15 12:45:55 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Leader_Follower_Flushing_Strategy.cpp:

          Improved the fix for Bug#3697. The while loop now depends
          on transpot's queue and the work in the reactor.

Mon Jun 15 10:19:16 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Crash_On_Write/Crash_Task.cpp:

          Used terminate_process() instead of abort(). The later works
          differently on Solaris.

        * tests/Big_AMI/client.cpp:
        * tests/Portable_Interceptors/AMI/client.cpp:
        * tests/Bug_1270_Regression/client.cpp:
        * tests/Bug_1270_Regression/Echo.cpp:
        * tests/Bug_1270_Regression/server.cpp:

          Fixed tests after the change for Bug#3682. In these tests it
          was assumed that nothing could be received from server until
          we run orb explicitly. The later is not true with synch scope
          policy SYNC_WITH_TRANSPORT.

        * tests/Bug_1476_Test/test.ior:

          An attempt to fix this test on platforms where connect to
          localhost on non-blocking socket returns with ECONNREFUSED
          while it's expected to return with errno=EINPROGRESS.
          This is Solaris and other Unices. I changed the remote host
          in IOR from localhost to something really remote (google.com).

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/Messaging/Messaging_Policy_i.cpp:

          This fixes Bug#3682. SYNC_WITH_TRANSPORT is now really
          default synch scope policy in TAO. This must fix Single_Read
          and AMH_Oneway tests on Solaris.

        * tao/Leader_Follower_Flushing_Strategy.cpp:

          This fixes Bug#3697. The comment in the code explains why this
          fix is better than the code used before. This must fix
          Big_Request_Muxing on Solaris.

        * tao/Transport.cpp:

          Changed to use queue_is_empty_i() instead of head_==0.

Mon Jun 15 07:42:47 UTC 2009  Olli Savia  <ops@iki.fi>

        * utils/logWalker/PeerProcess.cpp:
          Added long specifier to sprintf.

Fri Jun 12 18:44:04 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IIOP_Acceptor.cpp:
          Improved logging layout

        * tao/Invocation_Adapter.cpp:
          Use ACE_TEXT

        * tao/DynamicInterface/AMH_DSI_Response_Handler.cpp:
          Layout changes

Fri Jun 12 16:12:36 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/logWalker.mpc:

          Cannot build on ace_for_tao platforms.

Fri Jun 12 14:29:55 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Block_Flushing_Strategy.h:
        * tao/Block_Flushing_Strategy.cpp:
        * tao/Flushing_Strategy.h:
        * tao/Flushing_Strategy.cpp:
        * tao/Transport.cpp:

          If send() returns -1 with EWOULDBLOCK and the Flushing Strategy is
          blocking, return -1 instead of 0.  This is an error condition
          because TAO shouldn't see EWOULDBLOCK with a blocking socket, and
          the transport must be closed to avoid looping indefinitely in the
          flushing strategy's flush_transport().

Fri Jun 12 11:16:39 UTC 2009  Olli Savia  <ops@iki.fi>

        * utils/logWalker/Invocation.cpp:
          Fixed memset's parameter order.

Fri Jun 12 10:25:58 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Invocation.cpp:

          HPUX apparently uses something novel for either size_t or ACE_CDR::ULong.

Fri Jun 12 02:05:32 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/logWalker.cpp:

          Clean up WChar errors.

Thu Jun 11 23:16:41 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * NEWS:

          Added entry for bug #3688 fix.

Thu Jun 11 19:29:51 UTC 2009  Steven Stallion  <stallions@ociweb.com>

        * PROBLEM-REPORT-FORM:

          Added additional PRF question about build method (commit performed
          on behalf of Chris Cleeland).

Thu Jun 11 19:19:42 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * utils/logWalker/Invocation.cpp:

          Cast to int to force ternary operator's type to int, avoiding a
          warning on GCC 4.0.2 on Solaris.

Thu Jun 11 18:19:57 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * utils/logWalker/Invocation.cpp:

          ACE CDR can't be used with size_t because its size varies on
          different platforms.

Thu Jun 11 13:20:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/logWalker/PeerProcess.cpp:
          Initialize several pointers with 0

        * utils/monitor/monitor_client.cpp:
        * utils/NamingViewer/NamingViewerDlg.cpp:
          Removed not needed unicode conversion

        * utils/nslist/nslist.cpp:
          Layout changes

Wed Jun 10 13:56:48 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/logWalker.cpp:

          Fixed build errors with ACE_USES_WCHAR.

Wed Jun 10 13:37:03 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * utils/logWalker/Log.cpp:

          s_addr is a macro (for use with struct in_addr) on some platforms.

Wed Jun 10 02:20:40 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Endpoint.h:

          fix compile error.

Tue Jun  9 23:17:14 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/Thread.cpp:
        * utils/logWalker/logWalker.cpp:
        * utils/logWalker/logWalker.mpc:

          Fuzz fix.

Tue Jun  9 22:26:07 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/README:
        * utils/logWalker:
        * NEWS:

          Adding a new utility for parsing TAO debug log files.

Tue Jun  9 22:04:49 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/lib.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Compile warning fixes.

Tue Jun  9 21:01:30 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/mbchar.cpp:
        * TAO_IDL/contrib/mcpp/mcpp.mpc:
        * TAO_IDL/contrib/mcpp/noconfig.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.H:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Compile warning fixes.

Tue Jun  9 20:25:50 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:
        * tao/IIOP_Endpoint.h:
        * tao/IIOP_Endpoint.cpp:
        * tao/IIOP_Profile.h:
        * tao/IIOP_Profile.cpp:

          Fix for bug #3695.  Keep alternate endpoints within a profile in
          the same order after marshalling/demarshalling so that is_equivalent
          return true.

Tue Jun  9 15:37:40 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:

          fuzz fix.

Tue Jun  9 13:25:10 UTC 2009  Paul Calabrese  <calabrese_p@ociweb.com>

        * DevGuideExamples/AMH/AMH_Messenger_i.cpp:
        * DevGuideExamples/AMH/MessengerServer.cpp:
        * DevGuideExamples/AMH/Messenger_i.cpp:
        * DevGuideExamples/AMH_AMI/inner_server.cpp:
        * DevGuideExamples/BiDirectionalGIOP/callback_i.cpp:
        * DevGuideExamples/BiDirectionalGIOP/client.cpp:
        * DevGuideExamples/BiDirectionalGIOP/server.cpp:
        * DevGuideExamples/BiDirectionalGIOP/simple_i.cpp:
        * DevGuideExamples/DevGuideExamples.mwc:
        * DevGuideExamples/GettingStarted/MessengerServer.cpp:
        * DevGuideExamples/LocalObjects/Messenger/Messenger_i.cpp:
        * DevGuideExamples/LocalObjects/ServantLocator/MessengerServer.cpp:
        * DevGuideExamples/Messaging/AMIcallback/MessengerClient.cpp:
        * DevGuideExamples/Messaging/AMIcallback/MessengerHandler.cpp:
        * DevGuideExamples/Messaging/AMIcallback/MessengerServer.cpp:
        * DevGuideExamples/Messaging/AMIcallback/Messenger_i.cpp:
        * DevGuideExamples/Messaging/RelativeRoundtripTimeout/MessengerServer.cpp:
        * DevGuideExamples/Multithreading/GracefulShutdown/MessengerServer.h:
        * DevGuideExamples/Multithreading/GracefulShutdown/MessengerShutdownTimer.cpp:
        * DevGuideExamples/Multithreading/GracefulShutdown/Messenger_i.cpp:
        * DevGuideExamples/Multithreading/GracefulShutdown/run_test.pl:
        * DevGuideExamples/Multithreading/Reactive/MessengerServer.cpp:
        * DevGuideExamples/Multithreading/Reactive/Messenger_i.cpp:
        * DevGuideExamples/Multithreading/Reactive/run_test.pl:
        * DevGuideExamples/Multithreading/ThreadPerConnection/MessengerServer.cpp:
        * DevGuideExamples/Multithreading/ThreadPerConnection/Messenger_i.cpp:
        * DevGuideExamples/Multithreading/ThreadPerConnection/run_test.pl:
        * DevGuideExamples/Multithreading/ThreadPool/MessengerServer.cpp:
        * DevGuideExamples/Multithreading/ThreadPool/Messenger_i.cpp:
        * DevGuideExamples/Multithreading/ThreadPool/run_test.pl:
        * DevGuideExamples/PortableInterceptors/Auth/ClientInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/Auth/MessengerClient.cpp:
        * DevGuideExamples/PortableInterceptors/Auth/MessengerServer.cpp:
        * DevGuideExamples/PortableInterceptors/Auth/Messenger_i.cpp:
        * DevGuideExamples/PortableInterceptors/Auth/ServerInitializer.h:
        * DevGuideExamples/PortableInterceptors/Auth/run_test.pl:
        * DevGuideExamples/PortableInterceptors/IOR/ClientInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/IOR/MessengerClient.cpp:
        * DevGuideExamples/PortableInterceptors/IOR/MessengerServer.cpp:
        * DevGuideExamples/PortableInterceptors/IOR/Messenger_i.cpp:
        * DevGuideExamples/PortableInterceptors/IOR/ServerIORInterceptor.h:
        * DevGuideExamples/PortableInterceptors/IOR/ServerIORInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/IOR/ServerInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/PICurrent/ClientInitializer.cpp:
        * DevGuideExamples/PortableInterceptors/PICurrent/ClientInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/PICurrent/MessengerServer.cpp:
        * DevGuideExamples/PortableInterceptors/PICurrent/Messenger_i.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/ClientInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/MessengerClient.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/MessengerServer.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/Messenger_i.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/ServerInterceptor.cpp:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/run_test.pl:
        * DevGuideExamples/RTCORBA/MessengerServer.cpp:
        * DevGuideExamples/RTCORBA/Messenger_i.cpp:
        * DevGuideExamples/SmartProxies/LoggerServer.cpp:
        * DevGuideExamples/SmartProxies/Logger_i.cpp:
        * DevGuideExamples/SmartProxies/MessengerServer.cpp:
        * DevGuideExamples/SmartProxies/Messenger_i.cpp:
        * DevGuideExamples/ValueTypes/Bank/server.cpp:
        * DevGuideExamples/ValueTypes/Messenger/Message_i.cpp:
        * DevGuideExamples/ValueTypes/Messenger/MessengerServer.cpp:
        * DevGuideExamples/ValueTypes/Messenger/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/OMG_SupplierSideEC/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/OMG_SupplierSideEC/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/ConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Basic/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Basic/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventConsumerMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/run_test.pl:
        * orbsvcs/DevGuideExamples/ImplRepo/Basic/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/ImplRepo/IORTable/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/ImplRepo/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/README:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Server/MessengerTask.cpp:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/README:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/corbaname_Messenger/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NamingService/corbaname_Messenger/README:
        * orbsvcs/DevGuideExamples/NamingService/corbaname_Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/Messenger_i.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/MessengerConsumer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/MessengerSupplier.cpp:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/ClientInitializer.cpp:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/MessengerClient.cpp:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/README:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/run_test.pl:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/MessengerServer.cpp:
        * orbsvcs/DevGuideExamples/ValueTypes/Notify/run_test.pl:
        * orbsvcs/DevGuideExamples/readme.txt:

          Merge DevGuideExamples changes from TAO 1.6a.

Mon Jun  8 22:25:23 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3695_Regression:
        * tests/Bug_3695_Regression/Bug_3695.cpp:
        * tests/Bug_3695_Regression/Bug_3695_Regression.mpc:
        * tests/Bug_3695_Regression/run_test.pl:

          Added a new test, this will fail until the patch is committed
          tomorrow (see bugzilla).

Mon Jun  8 19:42:36 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:

          TransportCurrent is not available with CORBA/e compact or micro.

Mon Jun  8 19:18:58 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * MPC/config/taodefaults.mpb:

          Fix a bad comment.

        * docs/compiler.html:

          s/gperf/ace_gperf/ in a few places that must have been missed when
          the name of this executable was changed a year ago.

        * docs/rtcorba/features.html:

          Fix the name of the -RTORBNetworkPriorityMapping option.

        * orbsvcs/Notify_Service/README:

          Add information about -LoggingInterval and how to use it.

        * orbsvcs/examples/Notify/MC/monitor/monitor.cpp:

          Fix a bug in how Numeric statistics print their last value.

        * tests/Bug_2593_Regression/run_test.pl:

          Use a random port instead of hard-coding :4444.

        * tests/IPV6/run_test.pl:

          This test requires -ORBUseSharedProfile 0, even though it's the
          default now that might change in the future and it's safer to be
          explicit.

        * tests/ORB_Local_Config/Two_DLL_ORB/Two_DLL_ORB.mpc:

          Added an "after" needed for the single-threaded configuration.

        * tests/ORB_Local_Config/ORB_Local_Config.mwc:

          Removed this file.  This test doesn't need its own workspace.

Mon Jun  8 06:41:03 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Notify/Bug_3688b_Regression/TestBroadcaster.h:
          Added missing include.

Sat Jun  6 05:58:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3688b_Regression/*:
        * bin/tao_other_tests.lst:
          Added initial version of this test again as 3688b and enabled
          that also in our test suite

Sat Jun  6 00:31:39 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/tests/Notify/Bug_3688_Regression/consumer.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/supplier.cpp:

          Corrected the test scenario. The filter constraint is
          "$data == 1 or $data == 2 or $data == 4" and the supplier push
          event with filterable_data "data=5". Before the fix, the filter
          constraint was not evaluated so it will receive events. With the
          fix, the constraint was evaluated so the consumer should not
          receive the event.

Fri Jun 05 22:45:57 UTC 2009  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:

          Changed enqueue method to log and return -1 when the enqueue is
          not attempted.  This should help identify the case where the
          enqueues are not occurring and memory is leaking.

Fri Jun  5 20:42:42 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/lib.cpp:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Porting for Borland.

Fri Jun  5 21:01:43 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:

          Fixed a bug in build_tree() that ignored the user defined
          constraint expression when the domain name or event type is
          defined.

        * orbsvcs/tests/Notify/Bug_3688_Regression/Bug_3688_Regression.mpc:
        * orbsvcs/tests/Notify/Bug_3688_Regression/common.h:
        * orbsvcs/tests/Notify/Bug_3688_Regression/consumer.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_3688_Regression/supplier.cpp:

          Added simple test based on Bug_1884_Regression test.

        * orbsvcs/tests/Notify/Bug_3688_Regression/Bug_3688.mpc:
        * orbsvcs/tests/Notify/Bug_3688_Regression/DllORB.h:
        * orbsvcs/tests/Notify/Bug_3688_Regression/DllORB.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/TestBroadcaster.h:
        * orbsvcs/tests/Notify/Bug_3688_Regression/TestBroadcaster.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/TestListener.h:
        * orbsvcs/tests/Notify/Bug_3688_Regression/TestListener.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/bug3688_export.h:
        * orbsvcs/tests/Notify/Bug_3688_Regression/server.cpp:

          Removed these files.

        * bin/tao_other_tests.lst:

          Added Bug_3688_Regression test.

        * orbsvcs/tests/Notify/Bug_1884_Regression/consumer.cpp:

          Made received flag set true when consumer receives message. It did
          not show any problem is because the test defaults to not expecting
          to receive events.

Fri Jun  5 17:37:27 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/mbchar.cpp:
        * TAO_IDL/contrib/mcpp/mcpp_out.h:
        * TAO_IDL/contrib/mcpp/noconfig.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.H:
        * TAO_IDL/contrib/mcpp/system.cpp:

          Porting for Windows/VC8.

Fri Jun  5 16:33:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
          sequences use CORBA::ULong, use const, various layout changes

        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:
          Const and layout changes

Fri Jun  5 14:35:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
          Layout changes

        * orbsvcs/orbsvcs/Notify/FilterAdmin.inl:
          Initialise pointer with 0

        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
          Const changes, debug changes, and initialise pointer with 0

        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.cpp:
          Debug changes

        * orbsvcs/orbsvcs/Notify/Proxy.inl:
          Const/bool changes

Fri Jun  5 13:48:21 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * TAO_IDL/contrib/mcpp/Makefile.am:
        * TAO_IDL/contrib/mcpp/cc1.cpp:
        * TAO_IDL/contrib/mcpp/configed.H:
        * TAO_IDL/contrib/mcpp/directive.cpp:
        * TAO_IDL/contrib/mcpp/eval.cpp:
        * TAO_IDL/contrib/mcpp/expand.cpp:
        * TAO_IDL/contrib/mcpp/internal.H:
        * TAO_IDL/contrib/mcpp/main.cpp:
        * TAO_IDL/contrib/mcpp/main_libmcpp.c:
        * TAO_IDL/contrib/mcpp/mbchar.cpp:
        * TAO_IDL/contrib/mcpp/mcpp.mpc:
        * TAO_IDL/contrib/mcpp/mcpp_lib.h:
        * TAO_IDL/contrib/mcpp/mcpp_out.h:
        * TAO_IDL/contrib/mcpp/noconfig.H:
        * TAO_IDL/contrib/mcpp/support.cpp:
        * TAO_IDL/contrib/mcpp/system.H:
        * TAO_IDL/contrib/mcpp/system.cpp:
        * TAO_IDL/contrib/mcpp/testmain.c:

          Updated mcpp version to 2.7.2.

Fri Jun  5 12:06:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3688_Regression/*
          New regression test

        * bin/tao_other_tests.lst:
          Added 3688

Fri Jun  5 08:20:56 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/Bug_3683_Regression/Echo_Client_i.cpp:
          Fixed compilation warning.

Thu Jun  4 11:52:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          3646d should run now

Thu Jun  4 11:15:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Another set of cleanup improvements

        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
          Added a missing \n

        * orbsvcs/tests/Notify/Bug_3646d_Regression/server.cpp:
          Use a loop and more worker threads

Thu Jun  4 10:17:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Do better cleanup, check for nil, use the correct wait() methods

        * orbsvcs/tests/Notify/Bug_3646b_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3646c_Regression/server.cpp:
          Use a loop instead of duplicated code

        * orbsvcs/tests/Notify/Bug_3646d_Regression/Bug_3646d_Regression.mpc:
          We don't need a consumer

        * orbsvcs/tests/Notify/Bug_3646d_Regression/Consumer.cpp:
          Deleted from the repository

        * orbsvcs/tests/Notify/Bug_3646d_Regression/run_test.pl:
          Simplified

Thu Jun  4 09:13:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Notify_Service/Notify_Service.h:
          Set the ORB in the worker to nil and also cancel the timer
          when we don't need it anymore

Thu Jun  4 07:21:46 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3676_Regression/Bug_3676_Regression.mpc:

          Properly fixed mpc which requires corba_messaging.

Thu Jun  4 00:33:14 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Compression/Base_Compressor.cpp:
          It seems the syntax of '<::' or '<:' is converted to '[' by the
          compiler or preprocessor. Changing the syntax to be '< ::'
          resolves that.

Wed  Jun  3 12:54:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Make sure we have use the name service before using it and don't
          use asserts

Wed  Jun  3 12:30:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Incoming_Message_Stack.h:
          Updated for CB2009 Update 3

Wed Jun  3 12:16:21  2009  Marcel Smit  <msmit@remedy.nl>

        * tao/ZIOP/ZIOP.cpp
        * tao/ZIOP/ZIOP.h
          Applied ZIOP beta 2 spec. Compression ratio is defined
          as float and renamed struct CompressedData into
          CompressionData

        * tao/ZIOP/ZIOP.pidl
          Renamed struct CompressedData into CompressionData
          (according to ZIOP beta 2 spec).

        * tao/Compression/Base_Compressor.cpp
        * tao/Compression/Compression.pidl
        * tests/ZIOP/client.cpp
        * tests/ZIOP/server.cpp
          Applied ZIOP beta 2 spec. Compression ratio is defined
          as float.

Wed Jun  3 09:07:07 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3676_Regression/Bug_3676_Regression.mpc:
        * bin/tao_orb_tests.lst:

          Test 3676 requires corba_messaging.

Wed  Jun  3 08:20:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Only run the orb when we have no orb threads

Tue  Jun  2 18:40:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added 3646d

Tue  Jun  2 13:14:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp
        * orbsvcs/orbsvcs/Trader/Trader.h
          Fixed problems with CB2009 Update 3

Tue  Jun  2 07:21:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3646d_Regression/*:
          Another test that loads and unload the notify service, this one
          also loads the naming service and uses one run thread

        * orbsvcs/orbsvcs/Naming/Hash_Naming_Context.cpp:
          Const change

Tue  Jun  2 06:50:50 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug 3683

Tue  Jun  2 06:47:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Options.html:
          When we use ClientConnectionHandler RW we don't use the LF
          loop. In case the buffers are full, we use the flushing
          strategy for which the default is leader follower, but that
          will not work because we don't use the lf loop in this case.
          Added a note the ClientConnectionHandler RW needs a
          FlushingStrategy of blocking

        * tests/Bug_3683_Regression/Echo_Client_i.cpp
        * tests/Bug_3683_Regression/Echo_Client_i.h
        * tests/Bug_3683_Regression/run_test.pl
        * tests/Bug_3683_Regression/Simple_util.cpp
          Use a commandline argument -p to indicate the size of the
          string in megabytes.

        * tests/Bug_3683_Regression/svc.conf
          Set the FlushingStrategy to blocking

        * tao/Transport.cpp:
          Small layout to debug message

        * tao/PortableServer/Root_POA.cpp:
        * tao/LocateRequest_Invocation_Adapter.cpp
          Layout change

Fri May 29 12:47:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport.cpp (schedule_output):
          Log an error when the reactor is zero

Fri May 29 11:27:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ZIOP/TestCompressor/TAO_TestCompressor.rc:
          Fixed for WinCE GCC

Fri May 29 10:29:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3683_Regression/*:
          New regression test

Thu May 28 14:56:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3673_Regression/client.cpp:
          Print the iteration count when we get an exception

Thu May 28 14:12:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3673_Regression/client.cpp:
          Field id of name 0 has to be set

Thu May 28 07:32:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Fix a bug when unregistering from the naming service

Wed May 27 18:10:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
        * TAO_IDL/tao_idl.cpp:
          Unicode fixes

        * tao/PortableServer/Root_POA.h:
          Layout changes

Wed May 27 18:03:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.h:
          Fixed compile error with OpenVMS

Wed May 27 11:58:05 UTC 2009  Carlos O'Ryan  <coryan@glamdring>

        * tests/Bug_3647_Regression/client.cpp:
          I guess not all compilers know that 'and' is a keyword in C++.

        * tests/Bug_3647_Regression/Middle_Impl.cpp:
          Make sure I use the exceptions caught in this program, at least
          for debugging output.  Eliminates warnings for VC8

Wed May 27 03:00:37 UTC 2009  Carlos O'Ryan  <coryan@atdesk.com>

        * tests/Bug_3647_Regression/client.cpp:
        * tests/Bug_3647_Regression/middle_server.cpp:
        * tests/Bug_3647_Regression/backend_server.cpp:
          Fixed Unicode build problems.

Tue May 26 17:09:00 UTC 2009  Carlos O'Ryan  <coryan@atdesk.com>

        * tao/Transport.h:
        * tao/IIOP_Transport.h:
        * tao/Transport.cpp:
        * tao/IIOP_Transport.cpp:
        * tests/Bug_3647_Regression/client.cpp:
        * tests/Bug_3647_Regression/Middle_Impl.cpp:
        * tests/Bug_3647_Regression/Middle_Impl.h:
        * tests/Bug_3647_Regression/middle_server.cpp:
        * tests/Bug_3647_Regression/Test.idl:
        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3647_Regression/run_test.pl:
        * tests/Bug_3647_Regression/Backend_Impl.h:
          Fix fuzz problems, tabs, indentation in perl scripts, the Id
          stuff, etc.

Tue May 26 11:25:03 UTC 2009  Carlos O'Ryan  <coryan@glamdring>

        * tao/Transport.h:
        * tao/IIOP_Transport.h:
        * tao/IIOP_Transport.cpp:
          I had the signature of sendfile() completely wrong in
          IIOP_Transport.  Lucky for me, Johnny pointed out the warnings
          in the Solaris10_Studio12_Debug build.
          I also had to move the io_timeout() function in Tranport to the
          protected section.  This whole sendfile() thing looks like a
          hack.

        * tao/Transport.cpp:
          Fix Unicode build problem.  Again, thanks to Johnny for keeping
          an eye out for me.

Tue May 26 09:26:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added Bug 3672 regression as not fixed

Mon May 25 19:05:22 UTC 2009  Carlos O'Ryan  <coryan@atdesk.com>

        * Fixed bug #3647.  In this commit I am merging the changes form
          the Bug_3647_Regression branch.  The exact command used to merge
          the changes was:
          $ svn merge --accept postpone -r85163:HEAD \
              https://svn.dre.vanderbilt.edu/DOC/Middleware/\
              branches/Bug_3647_Regression .

          The typical conflict in the ChangeLog was manually resolved.

        * bin/tao_orb_tests.lst:
          Add the new test, in alphabetical order, preserve tests added in
          trunk.

        * tao/Transport.h:
        * tao/Transport.cpp:
          Restore the ACE_Countdown_Time object in drain_queue_helper().
          I removed it because I thought there were no side effects and it
          was not needed, but after Johnny W asked, I realised it was
          indeed important.
          The header changes are required because the Drain_Constraints
          object needs a non-const ACE_Time_Value* parameter now.

        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3647_Regression/backend_server.cpp:
        * tests/Bug_3647_Regression/Backend_Impl.hpp:
        * tests/Bug_3647_Regression/Backend_Impl.h:
        * tests/Bug_3647_Regression/Middle_Impl.cpp:
        * tests/Bug_3647_Regression/Throw_Spec.h:
        * tests/Bug_3647_Regression/Middle_Impl.hpp:
        * tests/Bug_3647_Regression/middle_server.cpp:
        * tests/Bug_3647_Regression/Middle_Impl.h:
          I used a hacky macro to compile this code with both
          TAO-1.5.1 (need throw specs) and TAO-1.6.9 (cannot have throw
          specs)
          I also changed the .hpp files to .h to be less consistent with
          the .cpp files, but more consistent with the rest of ACE+TAO.
          Thanks to Johnny to point out the ugliness before it reached the
          main branch.

        * tao/Transport.h:
        * tao/Transport.cpp:
        * tao/GIOP_Message_Base.cpp:
        * tao/Block_Flushing_Strategy.cpp:
        * tao/Connection_Handler.cpp:
          Seemingly completed the fixes for 3647.
          Fundamentally, the calls to sendv() need to use a timeout
          parameter when called with the blocking flushing strategy or
          with the read-write waiting strategy *and* when there is a
          timeout.
          Unfortunately, the point(s) where we call sendv() does not have
          enough context to determine if the parameter is needed.
          I changed the Transport class to pass a little struct with both
          the timeout value and flag to indicate if using blocking I/O
          calls was desired.
          The caller makes the determination and passes the parameter into
          the Transport object, for example, the Block_Flushing_Strategy
          certainly wants to use blocking I/O calls.
          Several interface in TAO_Transport changed, and so did its
          callers.

        * tests/Bug_3647_Regression/client.cpp:
        * tests/Bug_3647_Regression/Middle_Impl.cpp:
        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3647_Regression/run_test.pl:
          Fine-tune the test so it would pass all the time.  The default
          parameters showed the problem before the changes, but then
          failed due to a timeout during shutdown.
          Also expanded run_test.pl to test with SYNC_NONE vs. other
          policies.  It was important to me to verify that the test
          continues to fail with SYNC_WITH_SERVER, so my "fine tuning" did
          not hide real errors.

        * tao/Transport.h:
        * tao/Transport.cpp:
          First attempt at fixing bug 3647.
          The ORB is blocking in ACE::sendv(), because we are passing a
          timeout parameter which results in blocking for the prescribed
          timeout period on select().  But on a select() call with only
          one socket!
          What we want to achieve is pass the timeout parameter when we
          are using the blocking configurations of the ORB, such as RW
          waiting strategies.
          This fix, changes the way the timeout parameter to sendv() calls
          is computed, by looking at the wait_strategy.
          Unfortunately, this missed the blocking flushing strategies,
          where we want to block too!  The Oneway_Send_Timeout tests
          caught this.
          So more work is needed, but I want to save the work first.

        * tests/Bug_3647_Regression:
        * tests/Bug_3647_Regression/Bug_3647_Regression.mpc:
        * tests/Bug_3647_Regression/run_test.pl:
        * tests/Bug_3647_Regression/README:
        * tests/Bug_3647_Regression/svc.conf:
        * tests/Bug_3647_Regression/Test.idl:
        * tests/Bug_3647_Regression/Throw_Spec.h:
          Add a regression test for bug #3647.  The test consists of three
          processeses:

        * tests/Bug_3647_Regression/Backend_Impl.hpp:
        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3647_Regression/backend_server.cpp:
          The backend server receives oneway calls.  On request, it calls
          sleep for a long period of time to block its I/O on particular
          sockets.

        * tests/Bug_3647_Regression/Middle_Impl.hpp:
        * tests/Bug_3647_Regression/Middle_Impl.cpp:
        * tests/Bug_3647_Regression/middle_server.cpp:
          A middle tier server, which never calls sleep, but because of
          bug 3647 it blocks trying to make calls on the backend server,
          though it should not.

        * tests/Bug_3647_Regression/client.cpp:
          The client coordinates the work.  It setups connections between
          all the servers and makes calls on the middle tier server.  It
          expects the middle tier server to be always available, but it
          did not before the fixes.

        * bin/tao_orb_tests.lst:
          Add Bug_3647_Regression to the list.

Mon May 25 14:26:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3672_Regression:
          New test for bug 3672, we seem to have a resource leak with AMI

Mon May 25 12:54:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/README:
          By default the notify service does a shutdown of the global
          orb and its dispatching ORB. In case the notify service is
          loaded into a process using service config this could cause
          issues to other parts that use the same ORBs. Added a
          -ShutdownORB and -ShutdownDispatchingORB which are default
          1, but they could be set to 0 to not shutdown the mentioned
          ORB

Fri May 22 15:02:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/README:
          Extended this file

Fri May 22 09:56:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
          Use ACE_OS::fileno

Wed May 20 11:50:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3674_Regression/test.cpp:

          Ensure that RootPOA, then orb are destroyed.

Wed May 20 09:35:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV.rc
        * orbsvcs/orbsvcs/CosConcurrency.rc
        * orbsvcs/orbsvcs/CosEvent.rc
        * orbsvcs/orbsvcs/CosEvent_Serv.rc
        * orbsvcs/orbsvcs/CosEvent_Skel.rc
        * orbsvcs/orbsvcs/CosLifeCycle.rc
        * orbsvcs/orbsvcs/CosLoadBalancing.rc
        * orbsvcs/orbsvcs/CosNaming.rc
        * orbsvcs/orbsvcs/CosNaming_Serv.rc
        * orbsvcs/orbsvcs/CosNaming_Skel.rc
        * orbsvcs/orbsvcs/CosNotification.rc
        * orbsvcs/orbsvcs/CosNotification_Serv.rc
        * orbsvcs/orbsvcs/CosNotification_Skel.rc
        * orbsvcs/orbsvcs/CosProperty.rc
        * orbsvcs/orbsvcs/CosTime.rc
        * orbsvcs/orbsvcs/CosTrading.rc
        * orbsvcs/orbsvcs/CosTrading_Serv.rc
        * orbsvcs/orbsvcs/CosTrading_Skel.rc
        * orbsvcs/orbsvcs/DsEventLogAdmin.rc
        * orbsvcs/orbsvcs/DsLogAdmin.rc
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.rc
        * orbsvcs/orbsvcs/FaultTolerance.rc
        * orbsvcs/orbsvcs/IFRService.rc
        * orbsvcs/orbsvcs/PortableGroup.rc
        * orbsvcs/orbsvcs/RT_Notification.rc
        * orbsvcs/orbsvcs/RTEvent.rc
        * orbsvcs/orbsvcs/RTEvent_Serv.rc
        * orbsvcs/orbsvcs/RTEvent_Skel.rc
        * orbsvcs/orbsvcs/RTSched.rc
        * orbsvcs/orbsvcs/RTSchedEvent.rc
        * orbsvcs/orbsvcs/Security.rc
        * orbsvcs/orbsvcs/SSLIOP.rc
        * orbsvcs/orbsvcs/Svc_Utils.rc
          Use unix style of includes to work with cegcc

Wed May 20 09:32:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/SmartProxies/SmartProxies.rc
        * tao/BiDir_GIOP/TAO_BiDir_GIOP.rc
        * tao/Compression/bzip2/TAO_Bzip2Compressor.rc
        * tao/CodecFactory/TAO_CodecFactory.rc
        * tao/Compression/TAO_Compression.rc
        * tao/DynamicAny/TAO_DynamicAny.rc
        * tao/DynamicInterface/TAO_DynamicInterface.rc
        * tao/IFR_Client/TAO_IFR_Client.rc
        * tao/ImR_Client/TAO_IMR_Client.rc
        * tao/IORInterceptor/TAO_IORInterceptor.rc
        * tao/IORManipulation/TAO_IORManip.rc
        * tao/IORTable/TAO_IORTable.rc
        * tao/Compression/lzo/TAO_LzoCompressor.rc
        * tao/Messaging/TAO_Messaging.rc
        * tao/ObjRefTemplate/TAO_ObjRefTemplate.rc
        * tao/PortableServer/TAO_PortableServer.rc
        * tao/RTCORBA/TAO_RTCORBA.rc
        * tao/RTPortableServer/TAO_RTPortableServer.rc
        * tao/RTScheduling/TAO_RTScheduler.rc
        * tao/Strategies/TAO_Strategies.rc
        * tao/Valuetype/TAO_Valuetype.rc
        * tao/Compression/zlib/TAO_ZlibCompressor.rc
        * tao/TypeCodeFactory/TypeCodeFactory.rc
          Use unix style of includes to work with cegcc

Wed May 20 09:21:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Client_Leaks/Process_Factory.cpp:
          Use ACE_ERRNO_GET

Wed May 20 09:06:43 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Asynch_Queued_Message.cpp:
        * tao/Leader_Follower.cpp
          Layout changes

        * tao/GIOP_Message_Base.cpp
        * tao/IIOP_Transport.cpp
        * tao/RTCORBA/RT_Protocols_Hooks.cpp
        * tao/Strategies/DIOP_Transport.cpp
        * tao/Transport.cpp
        * tao/Transport_Connector.cpp
          Use ACE_ERRNO_GET

        * tao/Messaging/Messaging_Queueing_Strategies.cpp
          Const changes

        * tao/SystemException.cpp
          Initialise pointer with 0

Wed May 20 07:26:43 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_interface.cpp
        * TAO_IDL/util/utl_global.cpp

          Fixed compiler errors on CE gcc on Cygwin.

Tue May 19 12:12:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tao/Invocation_Base.h:
        * tao/Invocation_Base.cpp:

          Cosmetic variable name change to better conform to coding
          standard.

        * tests/Bug_3674_Regression/test.cpp:

          Ensure that PICurrent global is destroyed, BEFORE orb
          is destroyed.

Tue May 19 09:43:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Unbind also the event channels from the naming service

Mon May 18 14:47:24 UTC 2009  Abdullah Sowayan  <sowayan@gmail.com>

        * tao/LocalObject.h:
        * tao/LocalObject.inl:

          Disabled fuzz check_for_TAO_Local_RefCounted_Object.

Mon May 18 14:05:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tao/Makefile.am:

        Added new files from below.

Mon May 18 13:38:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:
        * tao/RequestInterceptor_Adapter.h:
        * tao/RequestInterceptor_Adapter.cpp:
        * tao/tao.mpc:
        * tao/Invocation_Base.h:
        * tao/Invocation_Base.cpp:
        * tao/ClientRequestInterceptor_Adapter.h:
        * tao/PI_Server/ServerInterceptorAdapter.h:
        * tao/PI/RequestInterceptor_Adapter_Impl.cpp:
        * tao/PI/RequestInterceptor_Adapter_Impl.h:
        * tao/PI/ClientRequestInterceptor_Adapter_Impl.h:
        * tao/PI/PICurrent_Impl.h:
        * tao/PI/PICurrent.cpp:
        * tao/PI/PICurrent_Impl.cpp:
        * tao/PI/PICurrent_Impl.inl:
        * tao/ServerRequestInterceptor_Adapter.h:

          Bugzilla 3674 Fix.

Mon May 18 10:39:46 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3676_Regression/Hello.mpc:

          Renamed MPC file to Bug_3676_Regression.mpc.

Mon May 18 09:15:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3674_Regression/test.cpp:

          TAO_Local_RefCounted_Object is deprecated. Changed
          it to CORBA::LocalObject.

Mon May 18 08:09:16 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tao/Transport.h:
        * tao/LocateRequest_Invocation.cpp:
        * tao/Transport.inl:

          Fixed bug#3676. Now after sending LocateRequest message
          transport will remain in a state when no first request is
          send. This is necessary for codeset negotiation which
          happens in the first normal request.

        * tests/Bug_3676_Regression/client.cpp:
        * tests/Bug_3676_Regression/Hello.mpc:
        * tests/Bug_3676_Regression/Hello.cpp:
        * tests/Bug_3676_Regression/Test.idl:
        * tests/Bug_3676_Regression/server.cpp:
        * tests/Bug_3676_Regression/Hello.h:
        * tests/Bug_3676_Regression/README:
        * tests/Bug_3676_Regression/run_test.pl:
        * bin/tao_orb_tests.lst:

          Added a regression test and scheduled it for run.

Fri May 15 12:50:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3674_Regression/test.cpp:

          Removed unused parameter warnings.

Fri May 15 11:50:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2800_Regression/NamingTask.cpp:
        * orbsvcs/tests/Bug_3673_Regression/NamingTask.cpp:
          Fixed memory leaks

Fri May 15 10:50:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Only print debug messages when ORB debug is enabled

        * orbsvcs/tests/Bug_3673_Regression/Bug_3873_Regression.mpc:
          Remvoed

        * orbsvcs/tests/Bug_3673_Regression/Bug_3673_Regression.mpc:
          Added

        * orbsvcs/tests/Bug_3673_Regression/client.cpp:
          Make 10 iterations

Fri May 15 08:10:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * tests/Bug_3674_Regression/test.cpp:

          Fixed Fuzz error (MS_VER_ 1200)

Wed May 13 19:44:04 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/Strategies/DIOP_Acceptor.cpp:

          Fixed a crash that occurs with -ORBUseSharedProfile 1.

Wed May 13 16:33:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added 3673

Wed May 13 16:30:00 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_3673_Regression/*:
          Added new test for bug 3673

        * orbsvcs/tests/ior_corbaname/ior_corbaname_client_i.cpp:
          Const change

Wed May 13 13:35:00 UTC 2009  Simon Massey  <sma at prismtech dot com>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3674_Regression/test.idl:
        * tests/Bug_3674_Regression/run_test.pl:
        * tests/Bug_3674_Regression/Bug_3674_Regression.mpc:
        * tests/Bug_3674_Regression/test.cpp:

          Added regression test for PICurrent TSC client corruption.

Tue May 12 08:26:55 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_2234_Regression/server.cpp:
        * tests/Bug_3171_Regression/server.cpp:
        * tests/DII_AMI_Forward/orb_initializer.h:

          TAO_Local_RefCounted_Object is deprecated. Changed
          it to CORBA::LocalObject.

Mon May 11 09:54:38 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/DII_AMI_Forward/server_interceptor.cpp:
          Fixed fuzz error.

Mon May 11 07:21:16 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/DII_AMI_Forward/server_interceptor.cpp:
          Fixed compile warning.

Fri May  8 19:30:55 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * examples/RTCORBA/Activity/Builder.cpp:

          Really fix fuzz.

Fri May  8 14:23:07 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_2234_Regression/server.cpp:
        * tests/Bug_3171_Regression/server.cpp:
        * tests/Bug_2345_Regression/server.cpp:
        * tests/DII_AMI_Forward/server_interceptor.cpp:
        * tests/DII_AMI_Forward/server_interceptor.h:
        * tests/DII_AMI_Forward/orb_initializer.h:

          Fixed memory leaks in these tests.

        * tao/ORB.cpp:

          Fixed allocation of a string with incorrect length.

Thu May  7 22:46:50 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/RTCORBA/Bug_3643_Regression/Bug_3643_Regression.mpc:

          Prevent building the server for corba_e/minimum_corba.

Thu May  7 19:45:01 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * examples/RTCORBA/Activity/Builder.cpp:

          Fuzz fix.

        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverA.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:

          Clean up compiler errors.

Thu May  7 18:14:03 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_exception\exception_ch.cpp:
        * TAO_IDL/be/be_visitor_home\home_ch.cpp:
        * TAO_IDL/be/be_visitor_interface\interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface\interface_ci.cpp:
        * TAO_IDL/be/be_visitor_interface\amh_ch.cpp:
        * TAO_IDL/be/be_visitor_interface\ami_interface_ch.cpp:
        * TAO_IDL/be/be_visitor_component\component_ch.cpp:
        * TAO_IDL/be/be_visitor_component\component_ci.cpp:
        * TAO_IDL/be/be_visitor_array\array_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox\valuebox_ch.cpp:
        * TAO_IDL/be/be_visitor_union\union_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype\valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype\valuetype_init_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype\valuetype_ch.cpp:

          Removed generation of #ifdef guards for all type declarations
          except sequences (duplicate anonymous sequence declarations
          of the same element type, and thus with the same constructed
          name, can appear in the same scope).

        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_codegen.cpp:

          Cosmetic changes.

Thu May  7 13:01:00 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_2084_Regression/Hello.cpp:
        * tests/Bug_2084_Regression/EventNode.cpp:
        * tests/Bug_2084_Regression/Collocated_Test.cpp:
        * tests/Bug_2084_Regression/run_test.pl:
        * tests/Bug_1482_Regression/Client_Task.cpp:
        * tests/Bug_1482_Regression/Client_Task.h:
        * tests/Bug_1482_Regression/server.cpp:
        * tests/Bug_1482_Regression/run_test.pl:
        * tests/COIOP/Hello.cpp:
        * tests/Collocation_Oneway_Tests/Hello.cpp:
        * tests/Collocation_Exception_Test/Hello.cpp:
        * tests/Bug_1568_Regression/server.cpp:
        * tests/DII_Collocation_Tests/oneway/Hello.cpp:
        * tests/DII_Collocation_Tests/oneway/run_test.pl:
        * tests/DII_Collocation_Tests/twoway/Hello.cpp:
        * tests/DII_Collocation_Tests/twoway/run_test.pl:

          Fixed memory leaks in these tests. And also changed
          perl scripts so that no collocation is used when it was
          meant.

Thu May  7 01:43:48 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/drv_extern.h:
        * TAO_IDL/driverdrv_preproc.cpp(DRV_pre_proc):

          Doubled the size of the command line buffer to 8192
          and added a check of the return value from calling
          command_line() on ACE_Process_Options. Thanks to
          Russ Noseworthy <j dot russell dot noseworthy at said dot com>
          for sending in the patches.

Wed May  6 12:53:20 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/Bug_1269_Regression/Server_Timer.cpp:
        * tests/Bug_1270_Regression/Server_Timer.cpp:
        * tests/Bug_1361_Regression/Echo.cpp:
          Fixed memset's parameter order.

Tue May  5 13:26:24 UTC 2009  Olli Savia  <ops@iki.fi>

        * examples/RTCORBA/Activity/Builder.cpp:
          Fixed memset's parameter order.

Tue May  5 08:41:48 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_2356_Regression/client.cpp:
        * tests/Bug_2356_Regression/ami_test_i.cpp:

          Fixed memory leaks.

Mon May  4 18:27:17 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * tests/ForwardUponObjectNotExist/client.cpp:

          Increased the orb run time to maximum 30 seconds to resolve the
          test failure on some platforms that reply is not received
          before orb is shutdown.

Fri May  1 19:12:14 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * tests/ForwardUponObjectNotExist/client.cpp:

          Fixed compilation errors on wchar builds.

Fri May  1 08:09:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3646c_Regression/*:
          New test that where we use the TAO_Notify_Service to create
          multiple channels using service config. This closes enhancement
          issue 3646

        * bin/tao_other_tests.lst:
          Added new test

Fri May  1 07:05:29 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * tests/ForwardUponObjectNotExist/ForwardUponObjectNotExist.mpc:
        * tests/ForwardUponObjectNotExist/README:
        * tests/ForwardUponObjectNotExist/client.cpp:
        * tests/ForwardUponObjectNotExist/run_test.pl:
        * tests/ForwardUponObjectNotExist/server.cpp:
        * tests/ForwardUponObjectNotExist/test.idl:
        * tests/ForwardUponObjectNotExist/test_i.h:
        * tests/ForwardUponObjectNotExist/test_i.inl:
        * tests/ForwardUponObjectNotExist/test_i.cpp:

          Added test for -ORBForwardInvocationOnObjectNotExist option
          and feature without using any service.

        * bin/tao_orb_tests.lst:

          Added ForwardUponObjectNotExist test.

Thu Apr 30 21:31:11 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.cpp:

          This test uses an arbitrary constant from the PortableServer module
          so we'll use one that's present in CORBA/e Compact configurations.

Thu Apr 30 18:35:47 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * tao/Synch_Invocation.cpp:

          Moved the strcmp for OBJECT_NOT_EXIST to if condition instead of outside
          of if statement to improve the performance a little bit.

        * docs/Options.html:

          Added description for -ORBForwardInvocationOnObjectNotExist.

Wed Apr 29 13:18:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.am:
          Added missing files. Thanks to Steven Hartmann
          <shartmann at militho dot com> for reporting this

Wed Apr 29 07:08:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_2926_Regression/DllORB.cpp:
          Fixed compile error

        * orbsvcs/tests/Notify/Bug_3646b_Regression/server.cpp:
          Fixed variable not used warning

        * orbsvcs/tests/Notify/Bug_3663_Regression/server.cpp
          Fixed variable not used warning

Tue Apr 28 20:33:21 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/TAO_Server_Request.cpp:

          Fixed the placement of the TAO_END_VERSIONED_NAMESPACE_DECL macro.

Tue Apr 28 15:04:45 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:

          Fixed compile errors on Solaris9_i386_gcc_Debug.

Tue Apr 28 10:00:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3663_Regression:
          New test for bugzilla bug 3663, not fixed yet, seems a problem with
          service configurator

        * bin/tao_other_tests.lst
          Added new test

Tue Apr 28 09:51:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/tao_notify_service.mpb:
          new base project

        * orbsvcs/Notify_Service/Notify_Server.cpp:
        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.mpc:
        * orbsvcs/Notify_Service/Notify_Service_Export.h:
          Moved the TAO_Notify_Service_Driver class to its own
          DLL which then can be loaded with service configurator as
          done in regression 3646b.

          Changed -ORBRunThreads to -RunThreads, the -ORB options
          are reserved for the ORB and shouldn't be used by
          services. This caused problems when trying to load
          the TAO_Notify_Service as DLL.

          Make sure we destroy the ORB so that we can do multiple
          load/unload cycles

        * orbsvcs/Notify_Service/README:
          Updated -ORBRunThreads to -RunThreads

        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
          Layout changes

        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
          Use true/false

        * orbsvcs/tests/Notify/Bug_2926_Regression/DllORB.cpp:
        * orbsvcs/tests/Notify/Bug_3252_Regression/DllOrb.cpp
          No need for arg converter

        * orbsvcs/tests/Notify/Bug_3646b_Regression/bug3646b_export.h
        * orbsvcs/tests/Notify/Bug_3646b_Regression/Bug_3646b_Regression.mpc
        * orbsvcs/tests/Notify/Bug_3646b_Regression/DllORB.cpp
        * orbsvcs/tests/Notify/Bug_3646b_Regression/DllORB.h
        * orbsvcs/tests/Notify/Bug_3646b_Regression/run_test.pl
        * orbsvcs/tests/Notify/Bug_3646b_Regression/server.cpp
        * bin/tao_other_tests.lst
          New regression test for loading and unloading the TAO_Notify_Service
          dll

Tue Apr 28 08:00:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Any_Unknown_IDL_Type.{h,cpp}:
          Return a const object from lock_i, this fixes bugzilla 3665. Thanks to
          Rob Beekmans <r dot a dot beekmans at philips dot com> for reporting this.
          It is really a diab compiler bug but we can easily work around it

        * tao/AnyTypeCode/Enum_TypeCode.cpp:
        * tao/AnyTypeCode/Enum_TypeCode_Static.cpp:
        * tao/CORBALOC_Parser.cpp:
        * tao/Intrusive_Ref_Count_Handle_T.h
          layout change

Tue Apr 28 01:51:44 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:

          Renamed the global variable delay to avoid compilation errors on
          QNX platform due to redefination of "delay".

Mon Apr 27 16:08:54 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/Notify_Service/README:

          Fixed typo


Mon Apr 27 15:54:55 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/Notify_Service/README:

          The README file was out of date with reality regarding the names
          and purpose of some svc.conf arguments. I've cleaned up the list
          to remove deprecated entries and add an entry for an option that
          was overlooked before. I suspect that a previous author mistook
          the purpose of the -ListenerThreads option to be that of the
          -SourceThreads option. The two appear to be similar in name, but
          in fact -ListenerThreads is a deprecated synonym for
          -DispatchingThreads.

Mon Apr 27 15:12:06 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_mcpp_preproc.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:

          Applied patches from Ken Sedgwick <ken at bonsai dot com>
          for platforms (including Fedora RPM) that use TAO_IDL_INCLUDE_DIR
          instead of TAO_ROOT. This checkin closes [BUGID:3661].

Mon Apr 27 03:20:52 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverA.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test.idl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.h:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.cpp:

          Fixed fuzz errors and compilation errors in unicode builds.

        * NEWS:

          Added entry for the new features.

Sat Apr 25 06:25:37 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        Added IMR changes OCI prepared for some customers.

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
        * orbsvcs/ImplRepo_Service/Server_Info.h:
        * orbsvcs/ImplRepo_Service/Server_Info.cpp:

          Added -UnregisterIfAddressReused IMR option to enable the
          address reuse checking upon server registering via
          server_is_running. If a new server reuses already registered
          server's address, the previous server will be unregistered
          from IMR.

          Current implementation registers server per POA instead of per
          server process. The ServerId info is added to ServerInfo to
          help identify if different POAs are from same server
          process. The POA registering will not affect the POAs
          registered with the same ServerId.

        * tao/ImR_Client/ImR_Client.cpp:

          Made server ID (set via -ORBServerId) info be part of the server
          name info to pass to IMR. This info helps IMR to identify if two
          poas created by same server process.

        * tao/ORB_Core.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/params.h:
        * tao/params.inl:
        * tao/params.cpp:

          Added new ORB option -ORBForwardInvocationOnObjectNotExist to
          support request forwarding to next available profile upon
          receiving OBJECT_NOT_EXIST exception reply.

        * orbsvcs/tests/ImplRepo/ReconnectServer/ReconnectServer.mpc:
        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverA.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test.idl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.h:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.cpp:

          Added test case for the changes.

        * bin/tao_other_tests.lst:

          Added ImplRepo ReconnectServer test.

Sat Apr 25 06:14:45 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Options.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.h:
        * orbsvcs/ImplRepo_Service/Locator_XMLHandler.cpp:
        * orbsvcs/ImplRepo_Service/Server_Info.h:
        * orbsvcs/ImplRepo_Service/Server_Info.cpp:

          Added -UnregisterIfAddressReused IMR option to enable the
          address reuse checking upon server registering via
          server_is_running. If a new server reuses already registered
          server's address, the previous server will be unregistered from
          IMR.

          Current implementation registers server per POA instead of per
          server process. The ServerId info is added to ServerInfo to help
          identify if different POAs are from same server process. The POA
          registering will not affect the POAs registered with the same
          ServerId.

        * tao/ImR_Client/ImR_Client.cpp:

          Made server ID (set via -ORBServerId) info be part of the server
          name info to pass to IMR. This info helps IMR to identify if two
          poas created by same server process.

        * tao/ORB_Core.cpp:
        * tao/Synch_Invocation.cpp:
        * tao/params.h:
        * tao/params.inl:
        * tao/params.cpp:

          Added new ORB option -ORBForwardInvocationOnObjectNotExist to
          support request forwarding to next available profile upon
          receiving OBJECT_NOT_EXIST exception reply.

        * orbsvcs/tests/ImplRepo/ReconnectServer/ReconnectServer.mpc:
        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverA.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test.idl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.h:
        * orbsvcs/tests/ImplRepo/ReconnectServer/test_i.cpp:

          Added test case for the changes.

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:

          Added ImplRepo ReconnectServer test.

Fri Apr 24 15:17:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/Bug_3646a_Regression/Consumer.cpp:
          Fixed variable not used warning

Fri Apr 24 15:11:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
          Unicode fix

Fri Apr 24 12:03:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/start_services:
          Removed this old script

Thu Apr 23 16:09:54 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:

          Further tweaks to the fix of

          Wed Apr 22 17:59:18 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

          to correct a problem uncovered by processing
          RTPortableServer.pidl. Thanks to Will Otte
          <wotte at dre dot vanderbilt.edu> for reporting the problem.

Thu Apr 23 11:10:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Notify_Service/Notify_Service.{h,cpp}:
          Only keep the IOR file open when we write the IOR, close it
          directly after we are ready

Thu Apr 23 10:14:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2626_Regression
        * orbsvcs/tests/Notify/Bug_2626_Regression
          Move tests to notify directory

        * bin/tao_other_tests.lst:
          Updated 2926

Thu Apr 23 09:31:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Added Bug_3646a_Regression

        * orbsvcs/Notify_Service/Notify_Service.cpp
        * orbsvcs/Notify_Service/Notify_Service.h
          Added support for multiple ChannelName arguments, the notification service
          will then create multiple channels and register them in the naming services

        * orbsvcs/tests/Notify/Bug_3646a_Regression
        * orbsvcs/tests/Notify/Bug_3646a_Regression/Bug_3646a_Regression.mpc
        * orbsvcs/tests/Notify/Bug_3646a_Regression/Consumer.cpp
        * orbsvcs/tests/Notify/Bug_3646a_Regression/run_test.pl
          New test for multiple ChannelName arguments

        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.cpp
          Initialise pointer with 0

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp
          Const changes

        * orbsvcs/FTRT_Event_Service/Gateway_Service/FTRTEC_Gateway_Service.cpp
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/client.cpp
        * orbsvcs/tests/AVStreams/Latency/control.cpp
        * orbsvcs/tests/Bug_2247_Regression/Manager.cpp
        * orbsvcs/tests/Bug_2248_Regression/client.cpp
        * orbsvcs/tests/Bug_2926_Regression/DllORB.cpp
        * orbsvcs/tests/Bug_3598b_Regression/client.cpp
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/client.cpp
        * orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/test_idl.cpp
        * orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/test_idl.cpp
        * orbsvcs/tests/Notify/Blocking/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/Bug_1385_Regression/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/Bug_2561_Regression/Consumer.cpp
        * orbsvcs/tests/Notify/Discarding/Sequence_Consumer.cpp
        * orbsvcs/tests/Notify/Discarding/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/lib/Notify_Test_Client.cpp
        * orbsvcs/tests/Notify/lib/Notify_Test_Client.h
        * orbsvcs/tests/Notify/MC/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/MC/test_monitor.cpp
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/Ordering/Sequence_Consumer.cpp
        * orbsvcs/tests/Notify/Ordering/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Consumer.cpp
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Consumer.cpp
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.cpp
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Consumer.cpp
        * orbsvcs/tests/tests_svc_loader/tests_svc_loader.cpp
          Removed not needed unicode to ascii conversion

Thu Apr 23 07:18:37 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/FL_Cube/client.cpp
        * tests/HandleExhaustion/client.cpp
        * tests/Abstract_Interface/client.cpp
        * tests/Big_Reply/client.cpp
        * tests/Bug_1254_Regression/client.cpp
        * tests/Bug_2174_Regression/client.cpp
        * tests/Bug_2734_Regression/client.cpp
        * tests/Bug_2768_Regression/client.cpp
        * tests/Bug_3198_Regression/bug_3198_regression.cpp
        * tests/Bug_3598a_Regression/client.cpp
        * tests/Client_Leaks/client.cpp
        * tests/Leader_Followers/client.cpp
        * tests/MProfile_Forwarding/Manager.cpp
        * tests/Multiple/client.cpp
        * tests/Nested_Event_Loop/client.cpp
        * tests/NestedUpcall/Simple/client.cpp
        * tests/NestedUpcall/Simple/simple-client.cpp
        * tests/ORB_Local_Config/Two_DLL_ORB/client.cpp
        * tests/POA/EndpointPolicy/client.cpp
        * tests/POA/Generic_Servant/client.cpp
        * tests/POA/Persistent_ID/client.cpp
        * tests/Portable_Interceptors/AdvSlot/client.cpp
        * tests/Portable_Interceptors/AdvSlotDblCpy/client.cpp
        * tests/Portable_Interceptors/AdvSlotExt/client.cpp
        * tests/Portable_Interceptors/AMI/client.cpp
        * tests/Portable_Interceptors/Bug_2133/client.cpp
        * tests/RTCORBA/Linear_Priority/client.cpp
        * tests/RTCORBA/Persistent_IOR/client.cpp
        * tests/RTCORBA/Policy_Combinations/client.cpp
        * tests/Server_Connection_Purging/client2.cpp
        * tests/Single_Read/client.cpp
        * tests/Smart_Proxies/dtor/client.cpp
        * tests/Timed_Buffered_Oneways/client.cpp
        * tests/Timeout/client.cpp
          Removed not needed unicode to ascii conversion

        * tests/Hello/client.cpp:
          Fixed typo in comment

Thu Apr 23 08:13:37 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Bug_3643_Regression/client.cpp:
          Resolved unicode compiler error.

Wed Apr 22 17:59:18 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_sequence.h:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:

          Added check to catch illegal use of incomplete sequence
          type (sequence of undefined struct or union) as an
          operation return type or parameter. Thanks to
          Ron van Hoof <rvhoof27@gmail.com> for reporting the bug
          and for sending in the example IDL. This fix closes
          [BUGID:3648].

        * TAO_IDL/util/utl_err.cpp:

          Changed message associated with EIDL_ILLEGAL_ADD flag
          to be more informative.

        * TAO_IDL/tao_idl.mpc:

          Removed a redundant item from the 'after' line of
          TAO_IDL_EXE.

Wed Apr 22 09:07:44 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Bug_3632_Regression/test.cpp:
        * tests/Bug_3632_Regression/test.idl:
        * tests/Bug_3632_Regression/Bug_3632_Regression.mpc:
        * tests/Bug_3632_Regression/run_test.pl:
        * tests/Bug_3632_Regression/README:

          Added a regression test.

        * bin/tao_orb_tests.lst:

          Scheduled the test for run.

        * tao/Bounded_Array_Sequence_T.h:
        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Valuetype/Bounded_Valuetype_Sequence_T.h:
        * tao/Bounded_Value_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:

          Fixed bug#3632. Now user cannot change a maximum value
          of a bounded sequence.

Wed Apr 22 09:32:37 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Bug_3643_Regression/client.cpp:
          Resolved unicode compiler error.

Tue Apr 21 10:17:06 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Bug_3643_Regression/*:
          New regression test

Tue Apr 21 09:52:06 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/nslist/nslist.cpp:
          Removed argc/argv conversion

Thu Apr 16 16:11:07 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Added new section anticipating version 1.7.

Tue Apr 14 10:06:19 CDT 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO version 1.6.9 released.

Tue Apr 14 13:57:16 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:

          Reworded entries to be consistent with release note.

Fri Apr 10 12:44:12 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/clean_tao_export.pl:
        * tests/Sequence_Unit_Tests/run_test.pl:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc:

          Reverted my previous attempts to fix this test on windows
          and disabled unbounded octet sequence test on this platform.

Fri Apr 10 12:17:16 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          3630 is not fixed yet

Thu Apr  9 11:01:26 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc:

          There were compile errors on Linux and Solaris builds with
          previous attempt to fix octet sequence test on Windows. Now
          those custom build steps are done only on windows builds.

Wed Apr  8 12:45:16 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/NamingViewer/BindDialog.cpp
        * utils/NamingViewer/BindDialog.h
        * utils/NamingViewer/BindNewContext.cpp
        * utils/NamingViewer/BindNewContext.h
          Unicode fixes

Tue Apr  7 09:01:37 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/clean_tao_export.pl:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc:

          Fixed a test that uses specialization of unbounded_value_sequence
          for CORBA::Octet on win32. This test requires that the above
          specialization is compiled into tests code and not imported from
          TAO.dll as it was done before.

Mon Apr  6 13:39:16 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added 3630 and 3567 has been fixed

        * tests/Bug_3630_Regression/*:
          Added new test for bugzilla 3630, thanks to Steve Ramsay
          <steve dot ramsay at caris dot com> for creating this test

Mon Apr  6 08:19:16 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/NamingViewer/BindDialog.cpp
        * utils/NamingViewer/BindDialog.h
        * utils/NamingViewer/BindNewContext.cpp
        * utils/NamingViewer/BindNewContext.h
          Fixed unicode compile errors

Mon Apr  6 07:35:16 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
          Fixed time out errors.

Fri Apr  3 13:40:46 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Security/mixed_security_test/server.cpp:
          Fixed compilation warnings on LynxOS.

Fri Apr  3 13:33:14 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/Messenger_i.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_OpenSSL_st_T.inl:
          Fixed compile errors on LynxOS 4.0.

Fri Apr  3 12:50:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/NamingViewer/AddNameServerDlg.cpp:
        * utils/NamingViewer/BindDialog.cpp:
        * utils/NamingViewer/BindNewContext.cpp:
        * utils/NamingViewer/NamingTreeCtrl.cpp:
        * utils/NamingViewer/NamingViewer.cpp:
        * utils/NamingViewer/SelectNSDialog.cpp:
        * utils/NamingViewer/ViewIORDialog.cpp:
          Minor code improvements

Thu Apr  2 11:03:23 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Exclusive_TMS.cpp
        * tao/Exclusive_TMS.h
          Resolved compiler errors on Codegear 2009.

        * tao/Muxed_TMS.h
        * tao/Reply_Dispatcher.h
          Resolved compiler errors when versioned
          namespaces are used.

Wed Apr  1 14:28:11 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/Sequence_Unit_Tests/value_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_sequence_cdr_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/run_test.pl:
        * tests/Sequence_Unit_Tests/object_reference_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/testing_counters.hpp:
        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_sequence_cdr_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/testing_allocation_traits.hpp:
        * tests/Sequence_Unit_Tests/string_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/testing_allocation_traits_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc:
        * tests/Sequence_Unit_Tests/unbounded_fwd_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/Makefile.am:

          Updated the test with respect to all recent changes in the
          implementation of sequences in TAO. This fixes bug#3488.

        * tao/Unbounded_Octet_Sequence_T.h:
        * tao/Generic_Sequence_T.h:

          Fixed several things. 1) In copy constructor. When a new
          sequence is created from a sequence that has buffer_==0
          there is no need to allocate a buffer in a new sequence.
          Also if the original sequence has length_<maximum_ then we
          have to initialize elements length_ through maximum_.
          2) There were several places in Unbounded_Octet_Sequence_T.h
          where release_ was not properly set when buffer_ was updated.
          3) There is no need for initialize_range in
          Unbounded_Octet_Sequence_T.h since this is a sequence of
          primitive types and C++ mapping says that "Sequence
          elements of a basic type, such as ULong, have undefined default
          values."

        * tao/Bounded_Array_Sequence_T.h:
        * tao/Valuetype/Bounded_Valuetype_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:

          Added allocbuf() with no arguments to bounded sequences as it's
          required by the C++ mapping (ver 1.2).

Wed Apr  1 09:26:16 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3636_Regression/*:
          New test for bug 3636, work_pending doesn't return false
          on solaris. This seems to happen not anymore on svn head

        * bin/tao_orb_tests.lst:
          Add new test

Tue Mar 31 10:44:16 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Asynch_Reply_Dispatcher_Base.cpp:
        * tao/Asynch_Reply_Dispatcher_Base.h:
        * tao/Asynch_Reply_Dispatcher_Base.inl:
        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/Exclusive_TMS.cpp:
        * tao/Exclusive_TMS.h:
        * tao/LocateRequest_Invocation.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * tao/Muxed_TMS.cpp:
        * tao/Muxed_TMS.h:
        * tao/Reply_Dispatcher.cpp:
        * tao/Reply_Dispatcher.h:
        * tao/Synch_Invocation.cpp:
        * tao/Transport_Mux_Strategy.h:
          Refactored Reply Dispatchers. It's now possible to make a CORBA
          call (synchronous or asynchronous) during an AMI reply
          dispatch without running into a deadlock.
          Also, the reply dispatchers are now created on the heap,
          using an ACE_Intrusive_Auto_Ptr.
          This fixes Bugzilla 3567.

        * tests/Big_AMI/client.cpp:
          Using a different CORBA:Object_var for ior.

        * NEWS:
          Listed this change.


Mon Mar 30 07:39:16 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/run_test.pl:
        * tests/RTCORBA/RTMutex/run_test.pl:
        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
          Resolved some runtime errors which were introduced while making these
          scripts fuzz compliant.

Fri Mar 27 15:23:32 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Added entry for bug fix below

          Fri Mar 20 16:04:58 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Mar 27 14:42:07 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Persistent_IOR/run_test.pl:
        * tests/RTCORBA/Policy_Combinations/run_test.pl:
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
          Resolved remaining fuzz warnings.

Fri Mar 27 12:48:10 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/RTCORBA/Banded_Connections/run_test.pl:
        * tests/RTCORBA/Destroy_Thread_Pool/run_test.pl:
        * tests/RTCORBA/Explicit_Binding/run_test.pl:
        * tests/RTCORBA/Linear_Priority/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/Persistent_IOR/run_test.pl:
        * tests/RTCORBA/Policies/run_test.pl:
        * tests/RTCORBA/Policy_Combinations/run_test.pl:
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/run_test.pl:
        * tests/RTCORBA/RTMutex/run_test.pl:
        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/Server_Protocol/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
          Resolved fuzz errors and warnings.

Fri Mar 27 10:29:10 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed !LabVIEW_RT, !WinCE and !FUZZ in order to run
          the following tests on these targets.

        * tests/RTCORBA/Banded_Connections/run_test.pl:
        * tests/RTCORBA/Bug_3382_Regression/run_test.pl:
        * tests/RTCORBA/Client_Protocol/run_test.pl:
        * tests/RTCORBA/Collocation/run_test.pl:
        * tests/RTCORBA/Destroy_Thread_Pool/run_test.pl:
        * tests/RTCORBA/Dynamic_Thread_Pool/run_test.pl:
        * tests/RTCORBA/Explicit_Binding/run_test.pl:
        * tests/RTCORBA/Linear_Priority/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/Persistent_IOR/run_test.pl:
        * tests/RTCORBA/Policies/run_test.pl:
        * tests/RTCORBA/Policy_Combinations/run_test.pl:
        * tests/RTCORBA/Priority_Inversion_With_Bands/run_test.pl:
        * tests/RTCORBA/Private_Connection/run_test.pl:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/run_test.pl:
        * tests/RTCORBA/RTMutex/run_test.pl:
        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/Server_Protocol/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:
          Made Fuzz compliant

        * tests/RTCORBA/Dynamic_Thread_Pool/client.cpp:
          When -x is supplied, the only thing the client has to do, is shutdown
          the server.

Thu Mar 26 15:39:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2936_Regression/run_test.pl:
          Removed not used variable

Thu Mar 26 13:47:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Big_AMI/run_test.pl:
        * tests/Bug_2936_Regression/run_test.pl:
        * bin/tao_orb_tests.lst:
          Converted to the new test framework

Thu Mar 26 13:21:23 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3567_Regression/client.cpp:
          Resolved compiler warning.

Thu Mar 26 09:10:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/testing_object_reference_traits.hpp:
        * tests/Sequence_Unit_Tests/testing_string_traits.hpp:
          Fixed compile errors with HPUX

Thu Mar 26 08:52:23 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
          Only test wchar when it is available

Wed Mar 25 02:49:23 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:

          Fixed a few cases where the expected state of the
          default-constructed sequence was incorrect.
          This is related to the change in
          Fri Jun  8 19:23:45 UTC 2007  Adam Mitz  <mitza@ociweb.com>

Tue Mar 24 19:46:00 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3567_Regression/client.cpp:
          Refactoring in preparation of upcoming AMI changes.

Tue Mar 24 16:41:18 UTC 2009  Joe Hoffert  <jhoffert@dre.vanderbilt.edu>

        * tao/Valuetype/Bounded_Valuetype_Sequence_T.h
        * tao/Valuetype/Unbounded_Valuetype_Sequence_T.h
          Adding iterators that support memory management.

Tue Mar 24 07:03:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Iterators/Bounded_String.cpp
        * tests/Sequence_Iterators/StringSeq.cpp
        * tests/Sequence_Iterators/Unbounded_Objectref.cpp
        * tests/Sequence_Iterators/Unbounded_Value.cpp
          Disable more code when stl iterators are disabled

Tue Mar 24 06:43:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added new IDL_Inherited_Operation and the sequence unit tests
          are not using boost anymore

        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/bounded_sequence_cdr_ut.cpp
        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/fwd_mock_reference.cpp
        * tests/Sequence_Unit_Tests/fwd_mock_reference.hpp
        * tests/Sequence_Unit_Tests/mock_array.hpp
        * tests/Sequence_Unit_Tests/mock_reference.hpp
        * tests/Sequence_Unit_Tests/object_reference_sequence_element_ut.cpp
        * tests/Sequence_Unit_Tests/run_test.pl
        * tests/Sequence_Unit_Tests/Sequence_Unit_Tests.mpc
        * tests/Sequence_Unit_Tests/string_sequence_element_ut.cpp
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp
        * tests/Sequence_Unit_Tests/string_ut.cpp
        * tests/Sequence_Unit_Tests/test_macros.h
        * tests/Sequence_Unit_Tests/testing_allocation_traits_ut.cpp
        * tests/Sequence_Unit_Tests/testing_counters.hpp
        * tests/Sequence_Unit_Tests/testing_string_traits.hpp
        * tests/Sequence_Unit_Tests/unbounded_array_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_fwd_object_reference_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_sequence_cdr_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp
        * tests/Sequence_Unit_Tests/value_sequence_tester.hpp
          Removed usage of boost. The boost unit test framework is nice, but we
          don't have boost on just a few build/test systems which results in the
          fact that we don't run these tests which we really need to do, given
          the fact that several of them are broken

Mon Mar 23 20:24:42 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/IDL_Inherited_Operation/InheritedOp_i.h:
        * tests/IDL_Inherited_Operation/InheritedOp_i.cpp:
          Fuzz fix.

Mon Mar 23 19:38:59 UTC 2009  Joe Hoffert <jhoffert@dre.vanderbilt.edu>

        * tests/Sequence_Iterators/Bounded_String.cpp:
        * tests/Sequence_Iterators/StringSeq.cpp:
        * tests/Sequence_Iterators/Unbounded_Objectref.cpp:
        * tests/Sequence_Iterators/Unbounded_Value.cpp:
        * tests/Sequence_Iterators/run_test.pl:
          Removed extraneous comments, uncommented code that causes
          crashes in Unbounded_Objectref, and added Perl preamble to
          run_test.pl so it will run on Linux.

Mon Mar 23 19:33:25 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/TransportCurrent/lib/Client_Request_Interceptor.cpp:
          Fixed compile warning.

Mon Mar 23 19:05:25 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Inherited_Operation/*.*:

          New test, to guard against reoccurrence of an IDL compiler
          bug that resulted in base class operations missing from
          the operation table of code generated for a derived interface.
          Similar bug fixes are tested in the directory IDL_Test, but
          this bug can be detected only at runtime by a remote call,
          unlike any of the possible errors detectable by IDL_Test.
          The IDL compiler bug fix entry is

          Fri Mar 20 16:04:58 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

Mon Mar 23 15:29:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Iterators/Bounded_String.cpp:
        * tests/Sequence_Iterators/StringSeq.cpp:
        * tests/Sequence_Iterators/Unbounded_Objectref.cpp:
        * tests/Sequence_Iterators/Unbounded_Value.cpp:
          Removed checked for ACE_WIN32

        * tao/Generic_Sequence_T.h:
        * tao/MM_Sequence_Iterator_T.h:
          Made some constructors explicit to get the tests compiling on
          win32

Mon Mar 23 15:09:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Sequence_Iterators/run_test.pl:
          Converted to the new test framework

        * tests/Transport_Cache_Manager/run_test.pl:
          Simplified

        * bin/tao_orb_tests.lst:
          Added new test

Mon Mar 23 13:48:21 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * rules.tao.GNU:

          Removed section specific to Win32/MinGW that set the make variable
          TAO_IDL_PREPROCESSOR to the full path to $(CXX).  This is not needed,
          we can treat it like any other platform.

Mon Mar 23 09:55:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Bounded_Basic_String_Sequence_T.h
        * tao/Bounded_Object_Reference_Sequence_T.h
        * tao/Generic_Sequence_T.h
        * tao/Makefile.am
        * tao/MM_Sequence_Iterator_T.h
        * tao/orbconf.h
        * tao/tao.mpc
        * tao/Unbounded_Basic_String_Sequence_T.h
        * tao/Unbounded_Object_Reference_Sequence_T.h
        * tao/Unbounded_Value_Sequence_T.h
        * tests/Sequence_Iterators/*
          Added support for STL iterators for the CORBA sequences. This
          has been developed by Joe Hoffert <jhoffert at dre dot vanderbilt dot edu>
          The code is not 100% finished yet, some last memory leaks and
          portability issues are left. By merging this to svn head it
          is much easier to test the code on all the platforms. This
          feature is disabled by default, you have to define
          TAO_HAS_SEQUENCE_ITERATORS to 1 in your config.h file to enable
          this feature. Be aware that these STL iterators are a TAO specific
          addition and are not part of the CORBA C++ mapping

Sat Mar 21 17:53:17 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp:
        * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:
          Fix for running on wchar systems.

Fri Mar 20 16:04:58 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_module.cpp(fe_add_interface_fwd):

          Fixed logic in setting the 'full_definition' member of
          a forward declared interface node, and other changes to
          make sure the memory management is still handled correctly.
          Thanks to Maxim Khon<mkhon@parallels.com> for reporting
          the problem of a derived inteface's operation table not
          containing base class operations, when a forward declaration
          of the base class interface occurs between the two
          full definitions,

Fri Mar 20 10:01:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ZIOP/ZIOP_ORBInitializer.cpp:
        * tao/ZIOP/ZIOP_Service_Context_Handler.cpp:
        * tao/ZIOP/ZIOP_Service_Context_Handler.h:
          Don't compile when we have no messaging

Fri Mar 20 07:01:18 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/Xt_Stopwatch/timer.h:
        * tests/Xt_Stopwatch/timer.cpp:
          Added virtual destructor to fix compile warning.

Fri Mar 20 01:54:00 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Notify/Validate_Client/Makefile.am:

          Fix for automake builds.

Thu Mar 19 18:34:18 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:
        * orbsvcs/Notify_Service/README:

          Add text to describe the new validate_client functionality.

        * orbsvcs/tests/Notify/Validate_Client/run_test.pl:

          clean up all the intermediate files at the end of the test.

Thu Mar 19 15:16:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/MProfile.cpp:
          Const change

        * tao/Profile.cpp:
          Layout change

        * tao/ZIOP/ZIOP_ORBInitializer.cpp:
        * tao/ZIOP/ZIOP_Service_Context_Handler.cpp:
        * tao/ZIOP/ZIOP_Service_Context_Handler.h:
          Added a ZIOP sc handler that transfers the ZIOP enabled and
          idlevellist policy from the client to the server. These
          are transmitted through the Messaging Invocation Policies which
          aren't supported yet by TAO. We have to make some changes to
          the core and pluggable transports to make all reply and
          request service contexts available on all places.

        * tao/Makefile.am:
          Added new files

Thu Mar 19 13:49:23 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:
        * orbsvcs/tests/Notify/Makefile.am:

          Add new build to the automake files.

        * orbsvcs/tests/Notify/Validate_Client/Makefile.am:
        * orbsvcs/tests/Notify/Validate_Client/README:
        * orbsvcs/tests/Notify/Validate_Client/Validate_Client.mpc:
        * orbsvcs/tests/Notify/Validate_Client/proxy_dummy.cpp:
        * orbsvcs/tests/Notify/Validate_Client/run_test.pl:

          Added a server that generates the persistence file for the
          notify service that is uses locally created references. This
          should ensure that the validator feature will actually get a
          OBJECT_NOT_EXIST exception rather than time out trying to
          resolve an unknown hostname.

          The problem with this test was the original source persistence
          file contained proxy references that were unresolvable, and so
          on some hosts, it took longer than the timeout period to fail to
          resolve, and this caused the validator to get a TIMEOUT
          exception and decide that the peer is still present, just
          busy. Thus the proxy would not be reaped, and the persistence
          file would end up with proxy references, causing the test to
          fail.

        * orbsvcs/tests/Notify/Validate_Client/persistency_copy:

          Removed this file, the source data file is generated now.

Thu Mar 19 04:55:02 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/CosNotify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:

          Ensure the validator thread is explicitly halted on shutdown of
          the notify service. This was a problem on some platforms such as
          Solaris where the validator thread continued to run during
          service shutdown, yielding a crash.

Thu Mar 19 03:02:52 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:

          Improve defense against the same pointer value coincidently
          being reused when allocating a filter servant. This occasionally
          happens in some of the test drivers, where the same notify
          service instance is reused although the specific event channel
          is destroyed after each test. Unfortunately the filter_POA is
          not, and could hold stale pointers.

        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
          Cleaned up the debug output a bit.

Wed Mar 18 19:04:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Profile.cpp:
          Removed not used variable and check the return value of the
          streaming operators

Wed Mar 18 13:13:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
          Fixed wrong delete

Wed Mar 18 13:00:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Compression test can always run

Wed Mar 18 09:51:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Disabled a few tests for WCHAR, the needed executables are not
          compiled

Wed Mar 18 09:47:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/client.cpp
        * examples/Advanced/ch_18/client.cpp
        * examples/Advanced/ch_21/client.cpp
        * examples/Advanced/ch_8_and_10/client.cpp
          Use intermediate variable to resolve ambiguity errors
          with C++ Builder 2009

Wed Mar 18 07:55:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/RTMutex/run_test.pl:
          Fixed this script

Tue Mar 17 21:43:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/ZIOP/client.cpp:
          Removed unused variable.

Tue Mar 17 19:28:21 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Notify/Persistent_Filter/Makefile.am:
          Fix library paths for autobuild.

Tue Mar 17 19:09:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/ZIOP/client.cpp:
          Resolved compiler warning.

Tue Mar 17 15:26:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
          Corrected misspelled log messages.

        * tests/ZIOP/TestCompressor/TestCompressor.cpp:
          Resolved compiler warnings on Solaris.

Tue Mar 17 10:09:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:
        * tao/BiDir_GIOP/BiDir_Service_Context_Handler.cpp:
        * tao/BiDir_GIOP/BiDir_Service_Context_Handler.h:
        * tao/Codeset/Codeset_Manager_i.cpp:
        * tao/Codeset/Codeset_Manager_i.h:
        * tao/Codeset_Manager.h:
        * tao/DiffServPolicy/DiffServ_Protocols_Hooks.cpp:
        * tao/DiffServPolicy/DiffServ_Protocols_Hooks.h:
        * tao/DiffServPolicy/DiffServ_Service_Context_Handler.cpp:
        * tao/DiffServPolicy/DiffServ_Service_Context_Handler.h:
        * tao/DiffServPolicy/DiffServPolicy_ORBInitializer.cpp:
        * tao/GIOP_Message_Base.cpp:
        * tao/IIOP_Transport.cpp:
        * tao/IIOP_Transport.h:
        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:
        * tao/LocateRequest_Invocation.cpp:
        * tao/Makefile.am:
        * tao/Network_Priority_Protocols_Hooks.h:
        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/Protocols_Hooks.h:
        * tao/Remote_Invocation.cpp:
        * tao/Remote_Invocation.h:
        * tao/RTCORBA/RT_Endpoint_Selector_Factory.h:
        * tao/RTCORBA/RT_ORBInitializer.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.h:
        * tao/RTCORBA/RT_Service_Context_Handler.cpp:
        * tao/RTCORBA/RT_Service_Context_Handler.h:
        * tao/RTCORBA/RT_Thread_Lane_Resources_Manager.h:
        * tao/Service_Context_Handler.h:
        * tao/Service_Context_Handler_Registry.cpp:
        * tao/Service_Context_Handler_Registry.h:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.h:
        * tao/Transport.cpp:
        * tao/Transport.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
          Refactored BiDir/Diffserv/RTCORBA/Codeset support. The service contexts are
          now generated by the specific service context handlers. This way the
          special RTCORBA/Diffserv hooks are removed from the code, generating
          the service contexts is now a generic solution. In the near future
          we will also rework the handling of those service contexts. The
          generation of the BiDIR service context is now also moved out of the
          specific transports

Tue Mar 17 05:25:49 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/RTCORBA/Collocation/run_test.pl:
          Fuzz fix.

Mon Mar 16 19:26:32 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * configure.ac:

          Added missing declaration for new orbsvcs/Notify test directory.

Mon Mar 16 19:17:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Collocation/run_test.pl:
        * tests/RTCORBA/ORB_init/run_test.pl:
        * tests/RTCORBA/RTMutex/run_test.pl:
        * bin/tao_orb_tests.lst:
          Converted to the new test framework

Mon Mar 16 18:35:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Compression/zlib/ZlibCompressor.cpp:
          Fixed error when compressing a small number of bytes.
          It should be compliant to ZLib spec now.

        * tests/Compression/bzip2server.cpp:
        * tests/Compression/lzoserver.cpp:
        * tests/Compression/zlibserver.cpp:
          Extended tests with compression of a small
          number of bytes.

Mon Mar 16 16:31:25 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Compression/bzip2/Bzip2Compressor.cpp:
          Fix issue when compressing just a few bytes.

        * tao/GIOP_Message_Base.cpp:
          Fixed logging errors.

        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP.h:
          Optimized log information.
          Better handling of exceptions/return values (GIOP
          should be used).

        * tests/ZIOP/TestCompressor:
        * tests/ZIOP/testcompressor.mpb:
        * tests/ZIOP/TestCompressor/TAO_TestCompressor.pc.in:
        * tests/ZIOP/TestCompressor/TAO_TestCompressor.rc:
        * tests/ZIOP/TestCompressor/TestCompressor.cpp:
        * tests/ZIOP/TestCompressor/TestCompressor.h:
        * tests/ZIOP/TestCompressor/TestCompressor_export.h:
        * tests/ZIOP/TestCompressor/TestCompressor_Factory.cpp:
        * tests/ZIOP/TestCompressor/TestCompressor_Factory.h:
        * tests/ZIOP/ZIOP.mpc:
          Added testcompressor. This compressor just throws
          compression and decompression exceptions. These exception
          should be handled properly by ZIOP.

        * tests/ZIOP/client.cpp:
        * tests/ZIOP/run_test.pl:
        * tests/ZIOP/server.cpp:
          Optimized tests. Refactored code by using
          functions. Optimized tests when TAO_HAS_ZIOP define
          is zero or not defined.
          Added test compressor.

Mon Mar 16 15:52:33 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_enum.cpp(gen_ostream_operator):

          For the (optional) generation of an ostream operator for
          enums, changed the code generation to use the actual enum
          value for the switch cases, rather than the equivalent
          integers. Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for reporting the bug. This fix closes [BUGID:3625].

Mon Mar 16 15:27:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Thread_Lane_Resources_Manager.h:
        * tao/Asynch_Reply_Dispatcher_Base.h:
          Added private copy constructor/assignment operator to prevent
          making a copy which leads to a double delete

Mon Mar 16 15:12:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Fault_Tolerance_Service.h:
        * tao/IIOP_Acceptor.h:
        * tao/LF_Event_Binder.h:
        * tao/LF_Multi_Event.h:
        * tao/ObjectKey_Table.h:
        * tao/Policy_Validator.h:
        * tao/Profile_Transport_Resolver.h:
          Added private copy constructor/assignment operator to prevent
          making a copy which leads to a double delete

        * tao/Resume_Handle.inl:
          Check for self assignment

Mon Mar 16 14:58:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DiffServ/run_test.pl
        * bin/tao_orb_tests.lst:
          Converted to the new test framework

Mon Mar 16 13:08:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Adapter_Registry.h:
        * tao/Asynch_Queued_Message.h:
        * tao/Connection_Handler.h:
        * tao/IIOP_Connector.cpp:
        * tao/Muxed_TMS.h:
          Added private copy constructor/assignment operator to prevent
          making a copy which leads to a double delete

        * tao/IIOP_Endpoint.cpp:
        * tao/Transport_Selection_Guard.h:
          Check for self assignment

Mon Mar 16 12:44:49 UTC 2009  Simon McQueen  <sm@prismtech.com>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          Added bug #3598 tests.

Mon Mar 16 11:50:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Client_Propagated/run_test.pl:
          Fixed fuzz errors

Mon Mar 16 11:36:58 UTC 2009  Simon McQueen  <sm@prismtech.com>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Invocation_Endpoint_Selectors.cpp:

          Remove uninterceptable exception.

        * orbsvcs/tests/Bug_3598b_Regression/Bug_3598b_Regression.mpc:
        * orbsvcs/tests/Bug_3598b_Regression/ClientORBInitializer.h:
        * orbsvcs/tests/Bug_3598b_Regression/ClientORBInitializer.cpp:
        * orbsvcs/tests/Bug_3598b_Regression/ClientRequest_Interceptor.h:
        * orbsvcs/tests/Bug_3598b_Regression/ClientRequest_Interceptor.cpp:
        * orbsvcs/tests/Bug_3598b_Regression/Hello.h:
        * orbsvcs/tests/Bug_3598b_Regression/Hello.cpp:
        * orbsvcs/tests/Bug_3598b_Regression/README:
        * orbsvcs/tests/Bug_3598b_Regression/Test.idl:
        * orbsvcs/tests/Bug_3598b_Regression/client.cpp:
        * orbsvcs/tests/Bug_3598b_Regression/run_test.pl:
        * orbsvcs/tests/Bug_3598b_Regression/server.cpp:

          Regression test for the above.

        * tao/Strategies/Optimized_Connection_Endpoint_Selector.cpp:

          Remove uninterceptable exception.

        * tests/Bug_3598a_Regression/Bug_3598a_Regression.mpc:
        * tests/Bug_3598a_Regression/ClientORBInitializer.h:
        * tests/Bug_3598a_Regression/ClientORBInitializer.cpp:
        * tests/Bug_3598a_Regression/ClientRequest_Interceptor.h:
        * tests/Bug_3598a_Regression/ClientRequest_Interceptor.cpp:
        * tests/Bug_3598a_Regression/Hello.h:
        * tests/Bug_3598a_Regression/Hello.cpp:
        * tests/Bug_3598a_Regression/README:
        * tests/Bug_3598a_Regression/Test.idl:
        * tests/Bug_3598a_Regression/client.cpp:
        * tests/Bug_3598a_Regression/run_test.pl:
        * tests/Bug_3598a_Regression/server.cpp:
        * tests/Bug_3598a_Regression/svc.conf:

          Regression test for the above.

Mon Mar 16 08:54:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
          Use CORBA::is_nil and small optimizations

        * tao/DynamicInterface/DII_Reply_Dispatcher.h:
        * tao/Codeset/Codeset.cpp:
          Layout changes

Mon Mar 16 08:34:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Exclusive_TMS.h:
        * tao/Muxed_TMS.h:
          Added forward declaration

        * tao/Policy_Set.cpp:
          Layout changes

        * tao/Profile.cpp:
          Fixed 64bit issue, use operator!

        * tao/Synch_Invocation.cpp:
        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:
          Use operator!

Mon Mar 16 08:26:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTCORBA/Client_Propagated/run_test.pl:
          Converted to the new test framework

        * bin/tao_orb_tests.lst:
          Enabled Client_Propagated test for WinCE/FUZZ/Labview

Mon Mar 16 07:56:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Invocation_Endpoint_Selectors.cpp:
          Layout, const, and use operator! changes

Mon Mar 16 07:54:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Thread_Flags.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.cpp:
          Unicode fixes

Sun Mar 15 19:50:41 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.cpp:
          Fixed compile warnings.

Sun Mar 15 18:39:22 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl.mpc:
          Added $TAO_ROOT to the includes to pull in rules.tao.GNU which
          results in all TAO_IDL libs to get the TAO version number.
          This fixes bugzilla 3395

Sat Mar 14 13:29:22 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.h:
        * orbsvcs/tests/Notify/Test_Filter/RT_Test_FilterFactory.cpp:

          Added new virtual function required by change to
          Notify/FilterFactory.h.

Fri Mar 13 23:26:08 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.h:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/FilterFactory.h:

          Fix for recent uptick in Notify test failures. The problem is
          that now each EC gets its own filter factory instance, and in
          the tests, a single notify service has multiple ECs being
          created and destroyed, and cleaning up the FilterFactory servant
          reference. On occasion, a new filter factory servant instance
          would be allocated at the same address as a previous one, which
          caused the POA to believe the servant was already active.

          The solution is to deactivate the FilterFactory object when done
          with it rather than explicitly deleting the servant. This way if
          the builder ever does want to legitemately reuse a common
          servant, that should work too.

Fri Mar 13 08:01:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_8_and_10/server.cpp:
          Disable the server project again

Thu Mar 12 20:36:47 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
          Fixed compile errors on LynxOS 4.0 with gcc 2.95.

Thu Mar 12 12:45:05 UTC 2009  Olli Savia  <ops@iki.fi>

        * docs/tutorials/Quoter/RTCORBA/StockNameConsumer_i.cpp:
        * examples/Simple/Simple_util.cpp:
          Fixed compile warnings.

Thu Mar 12 08:42:59 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * orbsvcs/tests/InterfaceRepo/Application_Test/Makefile.am:

          Fixed a compile/link problem on autoconf builds. My
          previous attepmts were unlucky because I added missing
          include/libs to a wrong executable.

Thu Mar 12 07:53:36 UTC 2009  Olli Savia  <ops@iki.fi>

        * tests/Bug_2953_Regression/server.cpp:
          Fixed compile warning.

Thu Mar 12 07:42:57 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
        * tao/Transport.cpp:
        * tao/ZIOP/ZIOP.cpp:
          Refactored decompression of large data blocks.

        * tao/GIOP_Message_State.cpp:
        * tao/GIOP_Message_State.h:
        * tao/GIOP_Message_State.inl:
          Always set the compressed flag. Now, a ZIOP client
          connecting to a non-ZIOP server receives an
          exception.

        * tao/ZIOP/ZIOP_Policy_i.cpp:
          Return the compressor ID/Level list instead of
          a copy of this list.

        * tao/ZIOP/ZIOP_Stub.cpp:
          Refactored. Make a copy of an existing policy
          instead of creating a new one.

        * tests/ZIOP/client.cpp:
          Refactored.
          Extended tests.

        * tests/ZIOP/Hello.cpp:
        * tests/ZIOP/server.cpp:
        * tests/ZIOP/ZIOP.mpc:
          Extended tests.

Wed Mar 11 22:14:04 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/ZIOP/ZIOP.cpp:
          Fix for wchar builds.

Wed Mar 11 19:40:38 UTC 2009  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Notify/Bug_1884_Regression/common.h:
        * orbsvcs/tests/Notify/Bug_1884_Regression/filter.cpp:
          Fixed compile warnings.

Wed Mar 11 18:54:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidldefaults.mpb:
          Added build_files as base project, that way also the mpc/mwc
          files are added to the generated solution. This way we see
          in the ms ide also for custom idl projects the mpc files.
          Thanks to Adam Mitz for suggesting this solution

Wed Mar 11 07:39:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/icp.cpp
        * examples/Advanced/ch_18/icp.cpp
        * examples/Advanced/ch_21/icp.cpp
        * examples/Advanced/ch_8_and_10/icp.cpp
          Always use ACE_OS::rand

Wed Mar 11 07:20:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/Advanced_ch_12.mpc
        * examples/Advanced/ch_18/Advanced_ch_18.mpc
        * examples/Advanced/ch_21/Advanced_ch_21.mpc
          Disabled server project for the moment

        * examples/Advanced/ch_21/server.cpp:
          Fixed compile warning

Tue Mar 10 23:56:26 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:

          Added delay to synchronize supplier and consumer to
          avoid test failure due to lost events.

Tue Mar 10 19:05:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Generator_Parser_12.cpp:
          Check return values of write_ulong

        * tao/IIOP_Transport.cpp:
          Use operator!

Tue Mar 10 18:47:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
          Fixed unicode compile error

Tue Mar 10 14:18:19 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
          Optimized logging when ZIOP is not enabled.

        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP_Stub.cpp:
          Implemented CompressorIdLevelList policy. On the client
          ZIOP checks which compressor should be used.
          Bug 3619 is added since a ZIOP server has no idea of the
          client CompressorIdLevelList policy at this moment. A ZIOP
          client should always implement at least one ZIOP server
          CompressorIdLevelList policy.

Tue Mar 10 10:20:54 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Codeset/Codeset_Manager_i.cpp:
          Retrieve the locale as string and add that to the
          debug messages.

Tue Mar 10 09:11:54 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP.h:
        * utils/catior/catior.cpp:
          Moved ziop_compressor_name to Ziop loader class.
          Made this function static.

Tue Mar 10 08:46:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
          Resolved compiler warning.

Tue Mar 10 08:22:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Base.h:
        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP.h:
        * utils/catior/catior.cpp:
          Resolved bugzilla 3611. ZIOP logging according to
          TAO standard. More log info regarding compression
          details.

Tue Mar 10 07:05:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/client.cpp
        * examples/Advanced/ch_12/server.cpp
        * examples/Advanced/ch_18/Advanced_ch_18.mpc
        * examples/Advanced/ch_18/client.cpp
        * examples/Advanced/ch_18/server.cpp
        * examples/Advanced/ch_21/Advanced_ch_21.mpc
        * examples/Advanced/ch_21/client.cpp
        * examples/Advanced/ch_21/server.cpp
          Fixed compile issues

Mon Mar  9 22:06:29 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Notify/Bug_1884_Regression/consumer.cpp:
          more wchar fixes.

Mon Mar  9 21:06:36 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * bin/tao_other_tests.lst:

        * orbsvcs/tests/Notify/Validate_Client/README:
        * orbsvcs/tests/Notify/Validate_Client/notify.conf:
        * orbsvcs/tests/Notify/Validate_Client/persistency_copy:
        * orbsvcs/tests/Notify/Validate_Client/run_test.pl:

          Added test for Notify_Service client connection validation
          feature.

        * bin/tao_other_tests.lst:

          Added Notify Validate_Client test.

Mon Mar  9 19:08:39 UTC 2009  Olli Savia  <ops@iki.fi>

        * docs/tutorials/Quoter/RTCORBA/StockQuoter.mpc:
          Changed RTCORBA_Quoter_Admin to depend on rt_server rather than
          rt_client. This isn't quite right but it fixes nasty linking
          problem on LynxOS and doesn't do any harm on other platforms.

Mon Mar  9 14:04:35 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/InterfaceRepo/Application_Test/Makefile.am:
          Added missing include directories for server build.

        * orbsvcs/tests/Notify/Bug_1884_Regression/common.h:
        * orbsvcs/tests/Notify/Bug_1884_Regression/consumer.cpp:
        * orbsvcs/tests/Notify/Bug_1884_Regression/filter.cpp:
        * orbsvcs/tests/Notify/Bug_1884_Regression/supplier.cpp:
          Clean up fuzz errors.

Mon Mar  9 13:39:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*:
          Added all TAO doxygen files

        * Release
          Added etc directory

Mon Mar  9 11:21:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/Advanced_ch_12.mpc
        * examples/Advanced/ch_12/client.cpp
        * examples/Advanced/ch_12/icp.cpp
        * examples/Advanced/ch_12/icp.h
        * examples/Advanced/ch_12/server.cpp
        * examples/Advanced/ch_12/server.h
        * examples/Advanced/ch_18/Advanced_ch_18.mpc
        * examples/Advanced/ch_18/client.cpp
        * examples/Advanced/ch_18/icp.cpp
        * examples/Advanced/ch_18/icp.h
        * examples/Advanced/ch_18/server.cpp
        * examples/Advanced/ch_18/server.h
        * examples/Advanced/ch_21/Advanced_ch_21.mpc
        * examples/Advanced/ch_21/client.cpp
        * examples/Advanced/ch_21/icp.cpp
        * examples/Advanced/ch_21/icp.h
        * examples/Advanced/ch_21/server.cpp
        * examples/Advanced/ch_21/server.h
        * examples/Advanced/ch_8_and_10/Advanced_ch_8_and_10.mpc
        * examples/Advanced/ch_8_and_10/client.cpp
        * examples/Advanced/ch_8_and_10/icp.cpp
        * examples/Advanced/ch_8_and_10/icp.h
        * examples/Advanced/ch_8_and_10/server.cpp
          Added missing mpc files, missing includes, use long instead of short
          to resolve convertion warnings.

Mon Mar  9 07:16:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ZIOP.pdf:
          Removed, the ZIOP spec is now available at the OMG website as
          ptc/09-01-03

        * MPC/config/bzip2compressor.mpb:
        * MPC/config/lzocompressor.mpb:
          new base projects

        * MPC/config/tao_versioning_idl_defaults.mpb
          No need to add after TAO_IDL_EXE, that is already in the base
          project

Mon Mar  9 07:05:37 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/EventType.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:

          Fixed Bugzilla #1884 - reconstruct the constraint expression
          with event type and the expression provided by user so the
          event types of a constraint are evaluated as well.

        * orbsvcs/tests/Notify/Bug_1884_Regression/Bug_1884_Regression.mpc:
        * orbsvcs/tests/Notify/Bug_1884_Regression/common.h:
        * orbsvcs/tests/Notify/Bug_1884_Regression/consumer.cpp:
        * orbsvcs/tests/Notify/Bug_1884_Regression/ecf.conf:
        * orbsvcs/tests/Notify/Bug_1884_Regression/filter.cpp:
        * orbsvcs/tests/Notify/Bug_1884_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_1884_Regression/supplier.cpp:

          Added new regression test.

        * bin/tao_other_tests.lst:

          Added Bugzilla #1884 test.

Mon Mar  9 07:08:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/bzip2/Bzip2Compressor.cpp:
          Removed old comment

        * tao/Compression/lzo/LzoCompressor.cpp:
        * tao/Compression/lzo/LzoCompressor_Factory.cpp:
          Updated includes, now this also compiles on windows with lzo

        * tao/LzoCompressor.mpc:
          Use lzo1

        * tests/Compression/bzip2server.cpp
        * tests/Compression/Compression_Test.mpc
        * tests/Compression/lzoserver.cpp
        * tests/Compression/run_test.pl
        * tests/Compression/server.cpp
        * tests/Compression/zlibserver.cpp
          Test bzip2/lzo/zlib independently.

        * tests/IDL_Test/IDL_Test.mpc:
          Moved idl files to their own project and list then all source
          files explicitly. Now we can build this project with incredibuild

        * tests/DIOP/client.cpp:
          prefix increment and layout change

Sun Mar  8 19:20:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Compression/zlib/ZlibCompressor.cpp:
          Also retrieve error string

        * Compression/bzip2/Bzip2Compressor.cpp:
          Fixed call to the bzip2 library

Sun Mar  8 14:41:44 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/notification_serv.mpb:
          Add dependency on messaging lib that was introduced by the
          new notification feature for validating notification peers.

Sun Mar  8 00:12:06 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Makefile.am:
          Added new Notify svc source file.

        * orbsvcs/tests/Notify/Makefile.am:
        * orbsvcs/tests/Notify/Persistent_Filter/Makefile.am:
          Added new Persistent_Filter test.

Sat Mar  7 20:54:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/catior/catior.cpp:
          Extended output for ZIOP and check more return values

Sat Mar  7 18:55:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3553_Regression/Bug_3553_Regression.mpc:
        * bin/tao_orb_tests.lst:
          Don't build this with corba/e micro

Sat Mar  7 16:51:20 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Notify/Persistent_Filter/Filter.h:
        * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:
          Fix wchar support.

Sat Mar  7 14:54:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTScheduler.mpc
          Also disable the idl project with CORBA/e micro

Fri Mar  6 19:49:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3553_Regression/Bug_3553_Regression.mpc:
        * tests/Bug_3553_Regression/TransportCache.mpc:
          Renamed mpc file

        * tests/Bug_3553_Regression/Bug_3553_Regression_client.cpp:
        * tests/Bug_3553_Regression/Bug_3553_Regression_server.cpp:
          Fixed compile errors/warnings

Fri Mar  6 18:53:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTPortableServer.mpc:
          Also disable the idl project with CORBA/e micro

Fri Mar  6 17:28:09 UTC 2009  Adam Mitz  <mitza@ociweb.com>

        * tao/DynamicInterface/DII_Invocation_Adapter.cpp:

          This is an extension of the change in:
          Mon Sep  1 20:18:51 UTC 2008  Ciju John  <johnc at ociweb dot com>
          There are two classes in this file, DII_Invocation_Adapter and
          DII_Deferred_Invocation_Adapter.  This commit applies the same change
          to DII_Deferred_Invocation_Adapter.

Fri Mar  6 07:41:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging.mpc
          Added missing file

Thu Mar  5 23:54:00 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Validate_Client_Task.h:
          Correct build issue related to versioned namespace.

Thu Mar  5 20:39:56 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/ZIOP/ZIOP.cpp
          Resolved compiler warning

Thu Mar  5 19:56:32 UTC 2009  Yan Dai  <dai_y@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Admin.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h:
        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.h:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:

          - Reverted to following commit to have filter factory per event
            channel.
            Mon Mar 17 13:39:57 UTC 2008  Johnny Willemsen  <jwillemsen@remedy.nl>
               * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
               * orbsvcs/orbsvcs/Notify/EventChannel.h:
                 Create a filter factory for each event channel instead
                 of a global singleton

          - Updated to persist filter factory as part of event channel.

        * orbsvcs/tests/Notify/Persistent_Filter/run_test.pl:

          Minor fix.

        * bin/tao_orb_tests.lst:

          Added Persistent_Filter test.

Thu Mar  5 19:20:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/Compression/Base_Compressor.cpp:
          Resolved error in calculating compression ratio.

        * tao/ZIOP/ZIOP.cpp:
        * tao/ZIOP/ZIOP.h:
          Acceptance of compression ratio is now based on
          the current compression ratio in stead of overall
          compression ratio.

Thu Mar  5 18:59:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA.mpc
          Made idl projects unique to resolve name clashes

Thu Mar  5 17:43:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/EndpointPolicy.mpc
        * tao/IORTable.mpc
        * tao/Strategies.mpc
        * tao/ZIOP.mpc
          Made idl projects unique to resolve name clashes

Thu Mar  5 10:22:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
          Resolved compiler errors.

Thu Mar  5 10:22:08 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode.mpc
        * tao/BiDir_GIOP.mpc
        * tao/Bzip2Compressor.mpc
        * tao/CodecFactory.mpc
        * tao/Codeset.mpc
        * tao/Compression.mpc
        * tao/CSD_Framework.mpc
        * tao/DiffServPolicy.mpc
        * tao/DynamicAny.mpc
        * tao/DynamicInterface.mpc
        * tao/EndpointPolicy.mpc
        * tao/FlResource.mpc
        * tao/FoxResource.mpc
        * tao/IFR_Client.mpc
        * tao/IIOP_Profile.cpp
        * tao/ImR_Client.mpc
        * tao/IORInterceptor.mpc
        * tao/IORManipulation.mpc
        * tao/IORTable.mpc
        * tao/LzoCompressor.mpc
        * tao/Messaging.mpc
        * tao/Monitor.mpc
        * tao/ObjRefTemplate.mpc
        * tao/PI.mpc
        * tao/PI_Server.mpc
        * tao/PortableServer.mpc
        * tao/QtResource.mpc
        * tao/RTCORBA.mpc
        * tao/RTPortableServer.mpc
        * tao/RTScheduler.mpc
        * tao/SmartProxies.mpc
        * tao/Strategies.mpc
        * tao/tao.mpc
        * tao/TC.mpc
        * tao/TC_IIOP.mpc
        * tao/TkResource.mpc
        * tao/TypeCodeFactory.mpc
        * tao/Valuetype.mpc
        * tao/XtResource.mpc
        * tao/ZIOP.mpc
        * tao/ZlibCompressor.mpc
          Use a seperate project for the idl files. This way a clean on a source
          project doesn't result in the regeneration of all idl files. Also this
          solves the dependency problem when using Incredibuild

        * tao/EndpointPolicy/EndpointPolicy_Factory.cpp:
          Initialise pointer with 0

        * tao/RTScheduling/RTScheduler.pidl:
          Changed PI include

        * tao/Seq_Out_T.h:
          Layout change

Thu Mar  5 07:36:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tao/GIOP_Message_Base.cpp
        * tao/GIOP_Message_Base.h
        * tao/ZIOP/ZIOP.cpp
        * tao/ZIOP/ZIOP.h
        * tao/ZIOP_Adapter.h
          Reverted last changes.
          Resolved memory leak and assert error during
          release of an ACE_Data_Block.

        * tao/Transport.cpp
          No need to set read write pointer correctly. ZIOP
          is responsible for that.

        * tests/ZIOP/client.cpp
          Enabled all tests again

        * tests/Bug_3553_Regression/Bug_3553_Regression_client.cpp
        * tests/Bug_3553_Regression/Bug_3553_Regression_server.cpp
          Reverted last changes. Compiler errors should be resolved.


Wed Mar  4 22:40:08 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
          And one more fix to the messup from the previous fix.

Wed Mar  4 20:56:50 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
          Fuzz fix.

Wed Mar  4 20:54:01 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
          Clean up debug messages for wchar support.

Wed Mar  4 17:41:53 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
          Clean up debug messages for wchar support.

Wed Mar  2 13:13:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3553_Regression/Bug_3553_Regression_client.cpp:
        * tests/Bug_3553_Regression/Bug_3553_Regression_server.cpp:
          Resolved compiler errors and warnings.

Wed Mar  4 03:04:05 UTC 2009  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Service.cpp:

        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
